/******************************************************************************
* This Program is the Confidential and Proprietary product of Cadence Design  *
* Systems. Any unauthorized use,  reproduction or transfer of this program is *
* strictly prohibited. Copyright (c)  1990, 1991, 1992, 1993, 1994 and 1995   *
* by Cadence Design Systems .                                                 *
* All Rights Reserved.                                                        *
*******************************************************************************/

/*

LIBRARY        : Altera synthesis library
FUNCTION       : 8 bit adder with carryIn
                 
DESIGNER       : Udi Landen
DATE GENERATED : 8th Jan 1995 

VERITOOL COMPATIBILITY : Verilog2.0, Veritime1.4

*/
      
`timescale  1 ns / 100 ps 
`celldefine     
module a_add8 (cout, s, a, b, cin);
  output[7:0]	s;
  output	cout;
  input[7:0]	a, b;
  input		cin;
 
  reg[7:0]	s_int;
  reg		cout_int;
 
  buf #1 (cout, cout_int);
  buf #1 (s[0], s_int[0]);
  buf #1 (s[1], s_int[1]);
  buf #1 (s[2], s_int[2]);
  buf #1 (s[3], s_int[3]);
  buf #1 (s[4], s_int[4]);
  buf #1 (s[5], s_int[5]);
  buf #1 (s[6], s_int[6]);
  buf #1 (s[7], s_int[7]);
 
  always @(a or b or cin)
    assign {cout_int, s_int} = a + b + cin;

  specify

`ifdef SYNTH
	specparam area = 16;
`endif

  endspecify

endmodule
`endcelldefine



