/******************************************************************************
* This Program is the Confidential and Proprietary product of Cadence Design  *
* Systems. Any unauthorized use,  reproduction or transfer of this program is *
* strictly prohibited. Copyright (c)  1990, 1991, 1992, 1993, 1994 and 1995   *
* by Cadence Design Systems .                                                 *
* All Rights Reserved.                                                        *
*******************************************************************************/

/*

LIBRARY        : Altera synthesis library
FUNCTION       : 2 8 bit bus multiplexer
                 
DESIGNER       : Udi Landen
DATE GENERATED : 8th Jan 1995 

VERITOOL COMPATIBILITY : Verilog2.0, Veritime1.4

*/
      
`timescale  1 ns / 100 ps 
`celldefine     
module a_mux2x8 (y, a, b, s);
  output[7:0]	y;
  input[7:0]	a, b;
  input		s;
 
  wire[7:0] y_int;
 
  buf #1 (y[0], y_int[0]);
  buf #1 (y[1], y_int[1]);
  buf #1 (y[2], y_int[2]);
  buf #1 (y[3], y_int[3]);
  buf #1 (y[4], y_int[4]);
  buf #1 (y[5], y_int[5]);
  buf #1 (y[6], y_int[6]);
  buf #1 (y[7], y_int[7]);

  assign y_int[7:0] = (s == 1) ? a[7:0] : b[7:0];

  specify

`ifdef SYNTH
	specparam area = 8;
`endif

  endspecify

endmodule
`endcelldefine
