/******************************************************************************
* This Program is the Confidential and Proprietary product of Cadence Design  *
* Systems. Any unauthorized use,  reproduction or transfer of this program is *
* strictly prohibited. Copyright (c)  1990, 1991, 1992, 1993, 1994 and 1995   *
* by Cadence Design Systems .                                                 *
* All Rights Reserved.                                                        *
*******************************************************************************/

/*

LIBRARY        : Altera synthesis library
FUNCTION       : 8 bit multiplexer with clock enable
                 
DESIGNER       : Udi Landen
DATE GENERATED : 8th Jan 1995 

VERITOOL COMPATIBILITY : Verilog2.0, Veritime1.4

*/
      
`timescale  1 ns / 100 ps 
`celldefine     
module a_mux81_gn (wn, y, a, b, c, d0, d1, d2, d3, d4, d5, d6, d7, gn);
  output	wn, y;
  input		a, b, c, d0, d1, d2, d3, d4, d5, d6, d7, gn;

  reg		y_int;

  buf #1 (y, y_int);
  not #1 (wn, y_int);
 
  always @(a or b or c or gn or d0 or d1 or d2 or d3 or d4 or d5 or d6 or d7)
	if ( !gn )
		case ( {c,b,a})
			3'b000: assign y_int = d0;
			3'b001: assign y_int = d1;
			3'b010: assign y_int = d2;
			3'b011: assign y_int = d3;
			3'b100: assign y_int = d4;
			3'b101: assign y_int = d5;
			3'b110: assign y_int = d6;
			3'b111: assign y_int = d7;
		endcase
	else
		assign y_int = 1'b0;

  specify

`ifdef SYNTH
	specparam area = 1;
`endif

  endspecify
 
endmodule
`endcelldefine


