library ieee;
use ieee.std_logic_1164.all;

entity a_add8 is
    port (
        cout : OUT STD_LOGIC;
        s : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        a : IN STD_LOGIC_VECTOR(7 downto 0) ;
        b : IN STD_LOGIC_VECTOR(7 downto 0) ;
        cin : IN STD_LOGIC
    );
end a_add8;

library ieee;
use ieee.std_logic_1164.all;

entity a_barrel8l_ldst is
    port (
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        ldst : IN STD_LOGIC;
        shift : IN STD_LOGIC
    );
end a_barrel8l_ldst;

library ieee;
use ieee.std_logic_1164.all;

entity a_barrel8r_ldst is
    port (
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        ldst : IN STD_LOGIC;
        shift : IN STD_LOGIC
    );
end a_barrel8r_ldst;

library ieee;
use ieee.std_logic_1164.all;

entity a_count4_dnup_clrn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(3 downto 0) ;
        cin : IN STD_LOGIC;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        dnup : IN STD_LOGIC
    );
end a_count4_dnup_clrn;

library ieee;
use ieee.std_logic_1164.all;

entity a_count4_dnup_ldn_clrn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(3 downto 0) ;
        cin : IN STD_LOGIC;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(3 downto 0) ;
        dnup : IN STD_LOGIC;
        ldn : IN STD_LOGIC
    );
end a_count4_dnup_ldn_clrn;

library ieee;
use ieee.std_logic_1164.all;

entity a_count4_dnup_setn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(3 downto 0) ;
        cin : IN STD_LOGIC;
        clk : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(3 downto 0) ;
        dnup : IN STD_LOGIC;
        setn : IN STD_LOGIC
    );
end a_count4_dnup_setn;

library ieee;
use ieee.std_logic_1164.all;

entity a_count8_dnup_clrn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        dnup : IN STD_LOGIC;
        gn : IN STD_LOGIC
    );
end a_count8_dnup_clrn;

library ieee;
use ieee.std_logic_1164.all;

entity a_count8_dnup_ldn_clrn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        dnup : IN STD_LOGIC;
        gn : IN STD_LOGIC;
        ldn : IN STD_LOGIC
    );
end a_count8_dnup_ldn_clrn;

library ieee;
use ieee.std_logic_1164.all;

entity a_count8_dnup_setn is
    port (
        cout : OUT STD_LOGIC;
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        dnup : IN STD_LOGIC;
        gn : IN STD_LOGIC;
        setn : IN STD_LOGIC
    );
end a_count8_dnup_setn;

library ieee;
use ieee.std_logic_1164.all;

entity a_gnd is
    port (
        y : OUT STD_LOGIC
    );
end a_gnd;

library ieee;
use ieee.std_logic_1164.all;

entity a_mux161 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        d0 : IN STD_LOGIC;
        d1 : IN STD_LOGIC;
        d2 : IN STD_LOGIC;
        d3 : IN STD_LOGIC;
        d4 : IN STD_LOGIC;
        d5 : IN STD_LOGIC;
        d6 : IN STD_LOGIC;
        d7 : IN STD_LOGIC;
        d8 : IN STD_LOGIC;
        d9 : IN STD_LOGIC;
        d10 : IN STD_LOGIC;
        d11 : IN STD_LOGIC;
        d12 : IN STD_LOGIC;
        d13 : IN STD_LOGIC;
        d14 : IN STD_LOGIC;
        d15 : IN STD_LOGIC
    );
end a_mux161;

library ieee;
use ieee.std_logic_1164.all;

entity a_mux21 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        s : IN STD_LOGIC
    );
end a_mux21;

library ieee;
use ieee.std_logic_1164.all;

entity a_mux2x8 is
    port (
        y : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        a : IN STD_LOGIC_VECTOR(7 downto 0) ;
        b : IN STD_LOGIC_VECTOR(7 downto 0) ;
        s : IN STD_LOGIC
    );
end a_mux2x8;

library ieee;
use ieee.std_logic_1164.all;

entity a_mux81 is
    port (
        wn : OUT STD_LOGIC;
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d0 : IN STD_LOGIC;
        d1 : IN STD_LOGIC;
        d2 : IN STD_LOGIC;
        d3 : IN STD_LOGIC;
        d4 : IN STD_LOGIC;
        d5 : IN STD_LOGIC;
        d6 : IN STD_LOGIC;
        d7 : IN STD_LOGIC
    );
end a_mux81;

library ieee;
use ieee.std_logic_1164.all;

entity a_shift8l_ldst is
    port (
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        ldst : IN STD_LOGIC;
        shift : IN STD_LOGIC;
        sin : IN STD_LOGIC
    );
end a_shift8l_ldst;

library ieee;
use ieee.std_logic_1164.all;

entity a_shift8r_ldst is
    port (
        q : OUT STD_LOGIC_VECTOR(7 downto 0) ;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        d : IN STD_LOGIC_VECTOR(7 downto 0) ;
        ldst : IN STD_LOGIC;
        shift : IN STD_LOGIC;
        sin : IN STD_LOGIC
    );
end a_shift8r_ldst;

library ieee;
use ieee.std_logic_1164.all;

entity a_tri is
    port (
        y : OUT STD_LOGIC;
        oe : IN STD_LOGIC;
        a : IN STD_LOGIC
    );
end a_tri;

library ieee;
use ieee.std_logic_1164.all;

entity a_vcc is
    port (
        y : OUT STD_LOGIC
    );
end a_vcc;

library ieee;
use ieee.std_logic_1164.all;

entity alt_syn_env is
end alt_syn_env;

library ieee;
use ieee.std_logic_1164.all;

entity and12 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC;
        i : IN STD_LOGIC;
        j : IN STD_LOGIC;
        k : IN STD_LOGIC;
        l : IN STD_LOGIC
    );
end and12;

library ieee;
use ieee.std_logic_1164.all;

entity and2 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC
    );
end and2;

library ieee;
use ieee.std_logic_1164.all;

entity and3 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC
    );
end and3;

library ieee;
use ieee.std_logic_1164.all;

entity and4 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC
    );
end and4;

library ieee;
use ieee.std_logic_1164.all;

entity and6 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC
    );
end and6;

library ieee;
use ieee.std_logic_1164.all;

entity and8 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC
    );
end and8;

library ieee;
use ieee.std_logic_1164.all;

entity carry is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end carry;

library ieee;
use ieee.std_logic_1164.all;

entity cascade is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end cascade;

library ieee;
use ieee.std_logic_1164.all;

entity dff is
    port (
        q : OUT STD_LOGIC;
        d : IN STD_LOGIC;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        prn : IN STD_LOGIC
    );
end dff;

library ieee;
use ieee.std_logic_1164.all;

entity dffe is
    port (
        q : OUT STD_LOGIC;
        d : IN STD_LOGIC;
        clk : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        ena : IN STD_LOGIC;
        prn : IN STD_LOGIC
    );
end dffe;

library ieee;
use ieee.std_logic_1164.all;

entity exp is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end exp;

library ieee;
use ieee.std_logic_1164.all;

entity global is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end global;

library ieee;
use ieee.std_logic_1164.all;

entity inv is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end inv;

library ieee;
use ieee.std_logic_1164.all;

entity latch is
    port (
        q : OUT STD_LOGIC;
        ena : IN STD_LOGIC;
        d : IN STD_LOGIC
    );
end latch;

library ieee;
use ieee.std_logic_1164.all;

entity latch_clrn is
    port (
        q : OUT STD_LOGIC;
        clrn : IN STD_LOGIC;
        d : IN STD_LOGIC;
        ena : IN STD_LOGIC
    );
end latch_clrn;

library ieee;
use ieee.std_logic_1164.all;

entity latch_setn is
    port (
        q : OUT STD_LOGIC;
        d : IN STD_LOGIC;
        ena : IN STD_LOGIC;
        setn : IN STD_LOGIC
    );
end latch_setn;

library ieee;
use ieee.std_logic_1164.all;

entity lcell is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end lcell;

library ieee;
use ieee.std_logic_1164.all;

entity nand12 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC;
        i : IN STD_LOGIC;
        j : IN STD_LOGIC;
        k : IN STD_LOGIC;
        l : IN STD_LOGIC
    );
end nand12;

library ieee;
use ieee.std_logic_1164.all;

entity nand2 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC
    );
end nand2;

library ieee;
use ieee.std_logic_1164.all;

entity nand3 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC
    );
end nand3;

library ieee;
use ieee.std_logic_1164.all;

entity nand4 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC
    );
end nand4;

library ieee;
use ieee.std_logic_1164.all;

entity nand6 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC
    );
end nand6;

library ieee;
use ieee.std_logic_1164.all;

entity nand8 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC
    );
end nand8;

library ieee;
use ieee.std_logic_1164.all;

entity nor12 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC;
        i : IN STD_LOGIC;
        j : IN STD_LOGIC;
        k : IN STD_LOGIC;
        l : IN STD_LOGIC
    );
end nor12;

library ieee;
use ieee.std_logic_1164.all;

entity nor2 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC
    );
end nor2;

library ieee;
use ieee.std_logic_1164.all;

entity nor3 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC
    );
end nor3;

library ieee;
use ieee.std_logic_1164.all;

entity nor4 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC
    );
end nor4;

library ieee;
use ieee.std_logic_1164.all;

entity nor6 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC
    );
end nor6;

library ieee;
use ieee.std_logic_1164.all;

entity nor8 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC
    );
end nor8;

library ieee;
use ieee.std_logic_1164.all;

entity or12 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC;
        i : IN STD_LOGIC;
        j : IN STD_LOGIC;
        k : IN STD_LOGIC;
        l : IN STD_LOGIC
    );
end or12;

library ieee;
use ieee.std_logic_1164.all;

entity or2 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC
    );
end or2;

library ieee;
use ieee.std_logic_1164.all;

entity or3 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC
    );
end or3;

library ieee;
use ieee.std_logic_1164.all;

entity or4 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC
    );
end or4;

library ieee;
use ieee.std_logic_1164.all;

entity or6 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC
    );
end or6;

library ieee;
use ieee.std_logic_1164.all;

entity or8 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC;
        c : IN STD_LOGIC;
        d : IN STD_LOGIC;
        e : IN STD_LOGIC;
        f : IN STD_LOGIC;
        g : IN STD_LOGIC;
        h : IN STD_LOGIC
    );
end or8;

library ieee;
use ieee.std_logic_1164.all;

entity soft is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC
    );
end soft;

library ieee;
use ieee.std_logic_1164.all;

entity tff is
    port (
        clk : IN STD_LOGIC;
        prn : IN STD_LOGIC;
        clrn : IN STD_LOGIC;
        t : IN STD_LOGIC;
        q : OUT STD_LOGIC
    );
end tff;

library ieee;
use ieee.std_logic_1164.all;

entity xor2 is
    port (
        y : OUT STD_LOGIC;
        a : IN STD_LOGIC;
        b : IN STD_LOGIC
    );
end xor2;

