/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1995  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/ 
`delay_mode_path
`timescale 1 ns / 1 ns
`ifdef SYNTH
`else
`celldefine
`endif
module lpm_or3 ( result, data2x, data1x, data0x ) ;

  parameter lpm_type = "lpm_or" ;
  parameter lpm_size = 3 ;
  parameter lpm_width = 1 ;
  parameter polar_data2x = "NORMAL" ;
  parameter polar_data1x = "NORMAL" ;
  parameter polar_data0x = "NORMAL" ;
  parameter polar_result = "NORMAL" ;

  input  [lpm_width-1:0] data2x ;
  input  [lpm_width-1:0] data1x ;
  input  [lpm_width-1:0] data0x ;
  output [lpm_width-1:0] result ;

  wire  [lpm_width-1:0] data2x,data1x,data0x ;
  reg   [lpm_width-1:0] result ;
  reg  [lpm_width-1:0] pdata2x,pdata1x,pdata0x ;

  always @(data2x or data1x or data0x)
    begin
       pdata2x = (polar_data2x=="INVERT")?~data2x:data2x ;
       pdata1x = (polar_data1x=="INVERT")?~data1x:data1x ;
       pdata0x = (polar_data0x=="INVERT")?~data0x:data0x ;
    end

  always @(pdata2x or pdata1x or pdata0x)
    begin
       if(polar_result == "INVERT")
          result = ~(pdata2x | pdata1x | pdata0x) ;
       else
          result = pdata2x | pdata1x | pdata0x ;
    end

endmodule // lpm_or3
`ifdef SYNTH
`else
`endcelldefine
`endif

