/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL JK FLIP-FLOP WITH CLEAR 
TRUTHTABLE     : 

          -----------------------------
            J   K   CLK   CLR_  Q   Q_
          -----------------------------
                     _       
            L   L  _/ \_  H     Q   Q_
                     _       
            L   H  _/ \_  H     L   H
                     _       
            H   L  _/ \_  H     H   L
                     _       
            H   H  _/ \_  H     Q_  Q                               
            X   X   X     L     L   H
          ---------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a107 (j, qn, q, k, clk, clrn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		j,
		k,
		clk,
		clrn;
	output
		qn,
		q;
    reg
        NOTIFY_REG1;
    not
	M107N_inst1_N1 (m107n_inst1_nclk1, clk);
    U_FJK_P_RB_NO
	  (m107n_inst1_q1mint, j, k, clk, clrn, NOTIFY_REG1);
    U_FD_P_RB_NO  
	M107N_inst1_inst2_inst1 (q, m107n_inst1_q1mint, m107n_inst1_nclk1, clrn, NOTIFY_REG1);
    U_FD_P_RB_NO_QN  
	M107N_inst1_inst3_inst2 (qn, m107n_inst1_q1mint, m107n_inst1_nclk1, clrn, NOTIFY_REG1);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
