/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : J-K NEGATIVE-EDGE-TRIGGERED FLIP-FLOP WITH PRESET AND CLEAR 
TRUTHTABLE     : 

            --------------------------------
            J   K CLK    CLR_ PRE_   Q   Q_
            -------------------------------- 
                  _            
            L   L  \_     H    H     Q   Q_
                  _            
            L   H  \_     H    H     L   H
                  _            
            H   L  \_     H    H     H   L
                  _            
            H   H  \_     H    H     Q_  Q 
                                  
            X   X   H     H    H     Q   Q_

            X   X   X     L    H     L   H
                                  
            X   X   X     H    L     H   L
                                  
            X   X   X     L    L     H   H  
            ------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a112 (clk, k, j, pren, q, qn, clrn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clk,
		k,
		j,
		pren,
		clrn;
	output
		q,
		qn;
    reg
        NOTIFY_REG2;
    reg
        NOTIFY_REG1;
    and
	A1 (en1, pren, clrn);
    not
	  (m112_inst1_nclk1, clk);
    U_FJK_P_SB_RB_NO  
	M112_inst1_inst1_inst1 (q, j, k, m112_inst1_nclk1, clrn, pren, NOTIFY_REG1);
    U_FJK_P_SB_RB_NO_QN  
	M112_inst1_inst2_inst2 (qn, j, k, m112_inst1_nclk1, clrn, pren, NOTIFY_REG1);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
