/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/

/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : J-K NEGATIVE-EDGE TRIGGERED FLIP-FLOP WITH PRESET
TRUTHTABLE     : 

            ---------------------------
            J  K  CLK    PRE_   Q   Q_
            --------------------------- 
                  _       
            L   L  \_     H     Q1  Q1_
                  _       
            L   H  \_     H     L   H
                  _       
            H   L  \_     H     H   L
                  _       
            H   H  \_     H     Q1_ Q1                               
            X   X   H     H     Q1  Q1_

            X   X   X     L     H   L
            --------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a113 (clk, k, j, pren, q, qn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clk,
		k,
		j,
		pren;
	output
		q,
		qn;
    reg
        NOTIFY_REG2;
    reg
        NOTIFY_REG1;
    not  
	  (m113n_inst1_nclk1, clk);
    U_FJK_P_SB_NO  
	  (q, j, k, m113n_inst1_nclk1, pren, NOTIFY_REG1);
    U_FJK_P_SB_NO_QN  
	  (qn, j, k, m113n_inst1_nclk1, pren, NOTIFY_REG1);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
