/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 3 to 8 line decoder/demultiplexer 
TRUTHTABLE     : 
              -------------------------------------------------------
              G1  G2A_  G2B_   C  B  A       Y0 Y1 ........... Y6 Y7      
              -------------------------------------------------------
              X    H    X      X  X  X       H  H  H  H  H  H  H  H
              X    X    H      X  X  X       H  H  H  H  H  H  H  H
              L    X    X      X  X  X       H  H  H  H  H  H  H  H
              H    L    L      L  L  L       L  H  H  H  H  H  H  H
              H    L    L      L  L  H       H  L  H  H  H  H  H  H
              H    L    L      L  H  L       H  H  L  H  H  H  H  H
              H    L    L      L  H  H       H  H  H  L  H  H  H  H
              H    L    L      H  L  L       H  H  H  H  L  H  H  H
              H    L    L      H  L  H       H  H  H  H  H  L  H  H
              H    L    L      H  H  L       H  H  H  H  H  H  L  H
              H    L    L      H  H  H       H  H  H  H  H  H  H  L
              -------------------------------------------------------
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y
*/
`celldefine

`timescale  1ns /  100ps
module a138 (a, b, c, gn2a, gn2b, g1, y7, y6, y5, y4, y3, y2, y1, y0);
	parameter size =1;
	input
		a,
		b,
		c,
		gn2a,
		gn2b,
		g1;
	output
		y0,
		y1,
		y2,
		y3,
		y4,
		y5,
		y6,
		y7;
    not
	M138_inst_N1 (m138_inst_g2ab, gn2a);
    not
	M138_inst_N2 (m138_inst_g2bb, gn2b);
    not  
	M138_inst_N3 (m138_inst_ab, a);
    not  
	M138_inst_N4 (m138_inst_bb, b);
    not  
	M138_inst_N5 (m138_inst_cb, c);
    and
	M138_inst_N6 (m138_inst_e, m138_inst_g2ab, m138_inst_g2bb, g1);
    nand  
	M138_inst_X1 (y0, m138_inst_ab, m138_inst_bb, m138_inst_cb, m138_inst_e);
    nand  
	M138_inst_X2 (y1, dd_net_27, m138_inst_bb, m138_inst_cb, m138_inst_e);
    nand  
	M138_inst_X3 (y2, m138_inst_ab, dd_net_31, m138_inst_cb, m138_inst_e);
    nand  
	M138_inst_X4 (y3, dd_net_27, dd_net_31, m138_inst_cb, m138_inst_e);
    nand  
	M138_inst_X5 (y4, m138_inst_ab, m138_inst_bb, dd_net_35, m138_inst_e);
    nand  
	M138_inst_X6 (y5, dd_net_27, m138_inst_bb, dd_net_35, m138_inst_e);
    nand  
	M138_inst_X7 (y6, m138_inst_ab, dd_net_31, dd_net_35, m138_inst_e);
    nand  
	M138_inst_X8 (y7, dd_net_27, dd_net_31, dd_net_35, m138_inst_e);
    buf  
	  (dd_net_27, a);
    buf  
	  (dd_net_31, b);
    buf  
	  (dd_net_35, c);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
