/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL 2 TO 4 LINE DECODER 
TRUTHTABLE     : 
              ------------------------------
                G_  A   B     Y0 Y1   Y2 Y3
              ------------------------------
                H   X   X     H   H   H   H
               
                L   L   L     L   H   H   H

                L   H   L     H   L   H   H
 
                L   L   H     H   H   L   H      

                L   H   H     H   H   H   L
              -------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a139 (gn, a, b, y0, y1, y2, y3);
	parameter size =1;
	input
		gn,
		a,
		b;
	output
		y0,
		y1,
		y2,
		y3;
    not
	M139_inst1_N1 (m139_inst1_ab, a);
    not
	M139_inst1_N2 (m139_inst1_bb, b);
    not  
	M139_inst1_N3 (m139_inst1_gb, gn);
    nand  
	M139_inst1_N4 (y0, m139_inst1_gb, m139_inst1_ab, m139_inst1_bb);
    nand  
	M139_inst1_N5 (y1, m139_inst1_gb, a, m139_inst1_bb);
    nand  
	M139_inst1_N6 (y2, m139_inst1_gb, m139_inst1_ab, b);
    nand  
	M139_inst1_N7 (y3, m139_inst1_gb, a, b);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
