/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 10-LINE TO 4-LINE PRIORITY ENCODERS 
TRUTHTABLE     : 
      ---------------------------------------------------
       _1  _2  _3  _4  _5  _6  _7  _8  _9    D  C  B  A
      ---------------------------------------------------
        H   H   H   H   H   H   H   H   H    H  H  H  H
        X   X   X   X   X   X   X   X   L    L  H  H  L
        X   X   X   X   X   X   X   L   H    L  H  H  H
        X   X   X   X   X   X   L   H   H    H  L  L  L
        X   X   X   X   X   L   H   H   H    H  L  L  H
        X   X   X   X   L   H   H   H   H    H  L  H  L
        X   X   X   L   H   H   H   H   H    H  L  H  H
        X   X   L   H   H   H   H   H   H    H  H  L  L
        X   L   H   H   H   H   H   H   H    H  H  L  H
        L   H   H   H   H   H   H   H   H    H  H  H  L
      ---------------------------------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a147 (i4, i5, i6, i7, i8, c, b, a, i9, i1, i2, i3, d);
	parameter size =1;
	input
		i4,
		i5,
		i6,
		i7,
		i8,
		i9,
		i1,
		i2,
		i3;
	output
		c,
		b,
		a,
		d;
    and
	M147_inst_A1 (m147_inst_wa1, m147_inst_wi1, i2, i4, i6, m147_inst_wn1);
    and
	M147_inst_A2 (m147_inst_wa2, m147_inst_wi3, i4, i6, m147_inst_wn1);
    and
	M147_inst_A3 (m147_inst_wa3, m147_inst_wi5, i6, m147_inst_wn1);
    and
	M147_inst_A4 (m147_inst_wa4, m147_inst_wi7, m147_inst_wn1);
    and
	M147_inst_A5 (m147_inst_wa5, m147_inst_wi2, i4, i5, m147_inst_wn1);
    and
	M147_inst_A6 (m147_inst_wa6, m147_inst_wi3, i4, i5, m147_inst_wn1);
    and
	M147_inst_A7 (m147_inst_wa7, m147_inst_wi6, m147_inst_wn1);
    and
	M147_inst_A8 (m147_inst_wa8, m147_inst_wi7, m147_inst_wn1);
    and
	M147_inst_A9 (m147_inst_wa9, m147_inst_wi4, m147_inst_wn1);
    and
	M147_inst_A10 (m147_inst_wa10, m147_inst_wi5, m147_inst_wn1);
    and
	M147_inst_A11 (m147_inst_wa11, m147_inst_wi6, m147_inst_wn1);
    and
	M147_inst_A12 (m147_inst_wa12, m147_inst_wi7, m147_inst_wn1);
    not
	M147_inst_I1 (m147_inst_wi1, i1);
    not
	M147_inst_I2 (m147_inst_wi2, i2);
    not
	M147_inst_I3 (m147_inst_wi3, i3);
    not
	M147_inst_I4 (m147_inst_wi4, i4);
    not
	M147_inst_I5 (m147_inst_wi5, i5);
    not
	M147_inst_I6 (m147_inst_wi6, i6);
    not
	M147_inst_I7 (m147_inst_wi7, i7);
    not
	M147_inst_I8 (m147_inst_wi8, i8);
    not
	M147_inst_I9 (m147_inst_wi9, i9);
    nor
	M147_inst_N1 (m147_inst_wn1, m147_inst_wi8, m147_inst_wi9);
    nor  
	M147_inst_N2 (a, m147_inst_wa1, m147_inst_wa2, m147_inst_wa3, m147_inst_wa4, m147_inst_wbuf1);
    nor  
	M147_inst_N3 (b, m147_inst_wa5, m147_inst_wa6, m147_inst_wa7, m147_inst_wa8);
    nor  
	M147_inst_N4 (c, m147_inst_wa9, m147_inst_wa10, m147_inst_wa11, m147_inst_wa12);
    nor  
	M147_inst_N5 (d, m147_inst_wi8, m147_inst_wi9);
    buf
	M147_inst_BUF1 (m147_inst_wbuf1, m147_inst_wi9);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
