/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 8-LINE TO 3-LINE PRIORITY ENCODERS
TRUTHTABLE     : 
   ---------------------------------------------------------
                   INPUTS                       OUTPUTS
   EI  ZERO ONE TWO THREE FOUR FIVE SIX SEVEN    A2  A1 A0  GS  EO
   ---------------------------------------------------------
    H   X   X   X   X   X   X   X   X      H  H  H   H   H
    L   H   H   H   H   H   H   H   H      H  H  H   H   L
    L   X   X   X   X   X   X   X   L      L  L  L   L   H
    L   X   X   X   X   X   X   L   H      L  L  H   L   H
    L   X   X   X   X   X   L   H   H      L  H  L   L   H
    L   X   X   X   X   L   H   H   H      L  H  H   L   H
    L   X   X   X   L   H   H   H   H      H  L  L   L   H
    L   X   X   L   H   H   H   H   H      H  L  H   L   H
    L   X   L   H   H   H   H   H   H      H  H  L   L   H
    L   L   H   H   H   H   H   H   H      H  H  H   L   H
  ----------------------------------------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a148 (i4, i5, i6, i7, ei, a2, a1, a0, i0, i1, i2, i3, gs, eo);
	parameter size =1;
	input
		i4,
		i5,
		i6,
		i7,
		ei,
		i0,
		i1,
		i2,
		i3;
	output
		a2,
		a1,
		a0,
		gs,
		eo;
    and
	M148_inst_G1 (m148_inst_wa1, m148_inst_wi1, i2, i4, i6, m148_inst_wi8);
    and
	M148_inst_G2 (m148_inst_wa2, m148_inst_wi3, i4, i6, m148_inst_wi8);
    and
	M148_inst_G3 (m148_inst_wa3, m148_inst_wi5, i6, m148_inst_wi8);
    and
	M148_inst_G4 (m148_inst_wa4, m148_inst_wi7, m148_inst_wi8);
    and
	M148_inst_G5 (m148_inst_wa5, m148_inst_wi2, i4, i5, m148_inst_wi8);
    and
	M148_inst_G6 (m148_inst_wa6, i4, m148_inst_wi3, i5, m148_inst_wi8);
    and
	M148_inst_G7 (m148_inst_wa7, m148_inst_wi6, m148_inst_wi8);
    and
	M148_inst_G8 (m148_inst_wa8, m148_inst_wi7, m148_inst_wi8);
    and
	M148_inst_G9 (m148_inst_wa9, m148_inst_wi4, m148_inst_wi8);
    and
	M148_inst_G10 (m148_inst_wa10, m148_inst_wi5, m148_inst_wi8);
    and
	M148_inst_G11 (m148_inst_wa11, m148_inst_wi6, m148_inst_wi8);
    and
	M148_inst_G12 (m148_inst_wa12, m148_inst_wi7, m148_inst_wi8);
    not
	M148_inst_I1 (m148_inst_wi1, i1);
    not
	M148_inst_I2 (m148_inst_wi2, i2);
    not
	M148_inst_I3 (m148_inst_wi3, i3);
    not
	M148_inst_I4 (m148_inst_wi4, i4);
    not
	M148_inst_I5 (m148_inst_wi5, i5);
    not
	M148_inst_I6 (m148_inst_wi6, i6);
    not
	M148_inst_I7 (m148_inst_wi7, i7);
    not
	M148_inst_I8 (m148_inst_wi8, ei);
    nand
	M148_inst_NA1 (m148_inst_eoint, i0, i1, i2, i3, i4, i5, i6, i7, m148_inst_wi8);
    nand  
	M148_inst_NA2 (gs, m148_inst_eoint, m148_inst_wi8);
    buf  
	  (eo, m148_inst_eoint);
    nor  
	M148_inst_NO1 (a0, m148_inst_wa1, m148_inst_wa2, m148_inst_wa3, m148_inst_wa4);
    nor  
	M148_inst_NO2 (a1, m148_inst_wa5, m148_inst_wa6, m148_inst_wa7, m148_inst_wa8);
    nor  
	M148_inst_NO3 (a2, m148_inst_wa9, m148_inst_wa10, m148_inst_wa11, m148_inst_wa12);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
