/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL  4-LINE TO 1-LINE DATA SELECTORS/MULTIPLEXERS
TRUTHTABLE     : 
           -------------------------------------------
            B   A    C0  C1  C2  C3       G_        Y 
           -------------------------------------------
            X   X     H   H   H   H       H         L 
            L   L     L   H   H   H       L         L 
            L   L     H   L   L   L       L         H 
            L   H     H   L   H   H       L         L 
            L   H     L   H   L   L       L         H 
            H   L     H   H   L   H       L         L 
            H   L     L   L   H   L       L         H 
            H   H     H   H   H   L       L         L 
            H   H     L   L   L   H       L         H 
           --------------------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a153 (gn1, b, c13, c12, c11, c10, y1, y2, c20, c21, c22, c23, a, gn2);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		gn1,
		b,
		c13,
		c12,
		c11,
		c10,
		c20,
		c21,
		c22,
		c23,
		a,
		gn2;
	output
		y1,
		y2;
    nor  
	M153_inst1_NR1 (y1, m153_inst1_x1, dd_net_5);
    U_MUX_4_2_INV
	M153_inst1_inst1_M5 (m153_inst1_x1, dd_net_6, dd_net_7, dd_net_8, dd_net_9, dd_net_17, dd_net_18);
    nor  
	M153_inst2_NR1 (y2, m153_inst2_x1, dd_net_12);
    U_MUX_4_2_INV
	M153_inst2_inst1_M5 (m153_inst2_x1, dd_net_13, dd_net_14, dd_net_15, dd_net_16, dd_net_17, dd_net_18);
    buf  
	  (dd_net_5, gn1);
    buf  
	  (dd_net_6, c10);
    buf  
	  (dd_net_7, c11);
    buf  
	  (dd_net_8, c12);
    buf  
	  (dd_net_9, c13);
    buf  
	  (dd_net_12, gn2);
    buf  
	  (dd_net_13, c20);
    buf  
	  (dd_net_14, c21);
    buf  
	  (dd_net_15, c22);
    buf  
	  (dd_net_16, c23);
    buf  
	  (dd_net_17, a);
    buf  
	  (dd_net_18, b);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
