/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 4-LINE TO 16-LINE DECODER/DEMULTIPLEXERS
TRUTHTABLE     : 
    -------------------------------------------------
     G1_ G2_  D   C   B    A    0,1,2,........14,15
    -------------------------------------------------
      L   L   L   L   L    L    LHHH HHHH HHHH HHHH
      L   L   L   L   L    H    HLHH HHHH HHHH HHHH
      L   L   L   L   H    L    HHLH HHHH HHHH HHHH
      L   L   L   L   H    H    HHHL HHHH HHHH HHHH
      L   L   L   H   L    L    HHHH LHHH HHHH HHHH
      L   L   L   H   L    H    HHHH HLHH HHHH HHHH
      L   L   L   H   H    L    HHHH HHLH HHHH HHHH
      L   L   L   H   H    H    HHHH HHHL HHHH HHHH
      L   L   H   L   L    L    HHHH HHHH LHHH HHHH 
      L   L   H   L   L    H    HHHH HHHH HLHH HHHH 
      L   L   H   L   H    L    HHHH HHHH HHLH HHHH 
      L   L   H   L   H    H    HHHH HHHH HHHL HHHH 
      L   L   H   H   L    L    HHHH HHHH HHHH LHHH 
      L   L   H   H   L    H    HHHH HHHH HHHH HLHH 
      L   L   H   H   H    L    HHHH HHHH HHHH HHLH 
      L   L   H   H   H    H    HHHH HHHH HHHH HHHL 
      L   H   X   X   X    X    HHHH HHHH HHHH HHHH 
      H   L   X   X   X    X    HHHH HHHH HHHH HHHH 
      H   H   X   X   X    X    HHHH HHHH HHHH HHHH 
    ------------------------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a154 (o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, g1n, g2n, d, c, b, a);
	parameter size =1;
	input
		g1n,
		g2n,
		d,
		c,
		b,
		a;
	output
		o0,
		o1,
		o2,
		o3,
		o4,
		o5,
		o6,
		o7,
		o8,
		o9,
		o10,
		o11,
		o12,
		o13,
		o14,
		o15;
    nor
	M154_inst_N1 (m154_inst_g, g1n, g2n);
    not
	M154_inst_N2 (m154_inst_na, a);
    not
	M154_inst_N3 (m154_inst_nb, b);
    not
	M154_inst_N4 (m154_inst_nc, c);
    not
	M154_inst_N5 (m154_inst_nd, d);
    nand  
	M154_inst_G0 (o0, m154_inst_g, m154_inst_na, m154_inst_nb, m154_inst_nc, m154_inst_nd);
    nand  
	M154_inst_G1 (o1, m154_inst_g, a, m154_inst_nb, m154_inst_nc, m154_inst_nd);
    nand  
	M154_inst_G2 (o2, m154_inst_g, m154_inst_na, b, m154_inst_nc, m154_inst_nd);
    nand  
	M154_inst_G3 (o3, m154_inst_g, a, b, m154_inst_nc, m154_inst_nd);
    nand  
	M154_inst_G4 (o4, m154_inst_g, m154_inst_na, m154_inst_nb, c, m154_inst_nd);
    nand  
	M154_inst_G5 (o5, m154_inst_g, a, m154_inst_nb, c, m154_inst_nd);
    nand  
	M154_inst_G6 (o6, m154_inst_g, m154_inst_na, b, c, m154_inst_nd);
    nand  
	M154_inst_G7 (o7, m154_inst_g, a, b, c, m154_inst_nd);
    nand  
	M154_inst_G8 (o8, m154_inst_g, m154_inst_na, m154_inst_nb, m154_inst_nc, d);
    nand  
	M154_inst_G9 (o9, m154_inst_g, a, m154_inst_nb, m154_inst_nc, d);
    nand  
	M154_inst_G10 (o10, m154_inst_g, m154_inst_na, b, m154_inst_nc, d);
    nand  
	M154_inst_G11 (o11, m154_inst_g, a, b, m154_inst_nc, d);
    nand  
	M154_inst_G12 (o12, m154_inst_g, m154_inst_na, m154_inst_nb, c, d);
    nand  
	M154_inst_G13 (o13, m154_inst_g, a, m154_inst_nb, c, d);
    nand  
	M154_inst_G14 (o14, m154_inst_g, m154_inst_na, b, c, d);
    nand  
	M154_inst_G15 (o15, m154_inst_g, a, b, c, d);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
