/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : QUADRUPLE  2-LINE TO 1-LINE DATA SELECTORS/ MULTIPLEXER
              WITH NON-INVERTED OUTPUTS
TRUTHTABLE     : 
           -------------------------------
            G_     A_B      A   B      Y
           -------------------------------
            H       X       X   X      L
            L       L       L   X      L
            L       L       H   X      H
            L       H       X   L      L
            L       H       X   H      H
            ------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a157 (ab, a1, b1, y1, a2, b2, y2, y3, b3, a3, y4, b4, a4, gn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		ab,
		a1,
		b1,
		a2,
		b2,
		b3,
		a3,
		b4,
		a4,
		gn;
	output
		y1,
		y2,
		y3,
		y4;
    nor 
	M157_inst_N1 (y1, m157_inst_y1_i, dd_net_24);
    nor  
	M157_inst_N2 (y2, m157_inst_y2_i, dd_net_24);
    nor  
	M157_inst_N3 (y3, m157_inst_y3_i, dd_net_24);
    nor  
	M157_inst_N4 (y4, m157_inst_y4_i, dd_net_24);
    U_MUX_2_1_INV
	M157_inst_inst1_M1 (m157_inst_y1_i, dd_net_21, dd_net_22, dd_net_23);
    U_MUX_2_1_INV
	M157_inst_inst2_M1 (m157_inst_y2_i, dd_net_17, dd_net_18, dd_net_23);
    U_MUX_2_1_INV
	M157_inst_inst3_M1 (m157_inst_y3_i, dd_net_13, dd_net_14, dd_net_23);
    U_MUX_2_1_INV
	M157_inst_inst4_M1 (m157_inst_y4_i, dd_net_9, dd_net_10, dd_net_23);
    buf  
	  (dd_net_9, a4);
    buf  
	  (dd_net_10, b4);
    buf  
	  (dd_net_13, a3);
    buf  
	  (dd_net_14, b3);
    buf  
	  (dd_net_17, a2);
    buf  
	  (dd_net_18, b2);
    buf  
	  (dd_net_21, a1);
    buf  
	  (dd_net_22, b1);
    buf  
	  (dd_net_23, ab);
    buf  
	  (dd_net_24, gn);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
