/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 8 BIT PARALLEL OUT  SERIAL SHIFT REGISTER 
TRUTHTABLE     : 

            -----------------------------------------
           CLR_  CLK  A  B   QA QB QC QD QE QF QG QH
            ----------------------------------------- 
             L    X   X  X   L  L  L  L  L  L  L  L

             H    L   X  X   QA QB QC QD QE QF QG QH
                   _
             H   _/   H  H   H  QA QB QC QD QE QF QG 
                   _
             H   _/   L  X   L  QA QB QC QD QE QF QG 
                   _
             H   _/   X  L   L  QA QB QC QD QE QF QG 
            ----------------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a164 (a, b, qa, qb, qc, qd, clk, clrn, qe, qf, qg, qh);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		a,
		b,
		clk,
		clrn;
	output
		qa,
		qb,
		qc,
		qd,
		qe,
		qf,
		qg,
		qh;
    reg
        NOTIFY_REG;
    and
	A1 (en1, clrn, b);
    and
	A2 (en2, clrn, a);
    and
	M164_inst_A1 (m164_inst_s_in, a, b);
    buf
	  (qa, m164_inst_qaint);
    buf
	  (qb, m164_inst_qbint);
    buf
	  (qc, m164_inst_qcint);
    buf
	  (qd, m164_inst_qdint);
    buf
	  (qe, m164_inst_qeint);
    buf
	  (qf, m164_inst_qfint);
    buf
	  (qg, m164_inst_qgint);
    buf
	  (qh, m164_inst_qhint);
    U_FD_P_RB_NO  
	M164_inst_INST1_inst1 (m164_inst_qaint, m164_inst_s_in, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST2_inst1 (m164_inst_qbint, m164_inst_qaint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST3_inst1 (m164_inst_qcint, m164_inst_qbint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST4_inst1 (m164_inst_qdint, m164_inst_qcint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST5_inst1 (m164_inst_qeint, m164_inst_qdint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST6_inst1 (m164_inst_qfint, m164_inst_qeint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M164_inst_INST7_inst1 (m164_inst_qgint, m164_inst_qfint, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO 
	M164_inst_INST8_inst1 (m164_inst_qhint, m164_inst_qgint, clk, clrn, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
