/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : PARALLEL-LOAD 8-BIT SHIFT REGISTER
TRUTHTABLE     : 
            ---------------------------------------
           SH_LD_   CLK    CLK_INH     FUNCTION
            ---------------------------------------
             L       X        X        PARALLEL LOAD

             H       H        X        NO CHANGE

             H       X        H        NO CHANGE
                      _
             H      _/        L        SHIFT
                               _
             H       L       _/        SHIFT
            --------------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a165 (shld, clk, e, f, g, h, qhn, qh, ser, a, b, c, d, clkinh);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		shld,
		clk,
		e,
		f,
		g,
		h,
		ser,
		a,
		b,
		c,
		d,
		clkinh;
	output
		qhn,
		qh;
    reg
        NOTIFY_REG;
    not
	  (ce, clkinh);
    and
	A1 (en, shld, ce);
    not  
	M165_inst_N1 (m165_inst_shld, shld);
    nand
	M165_inst_N2 (m165_inst_wa, a, m165_inst_shld);
    nand
	M165_inst_N3 (m165_inst_wb, b, m165_inst_shld);
    nand
	M165_inst_N4 (m165_inst_wc, c, m165_inst_shld);
    nand
	M165_inst_N5 (m165_inst_wd, d, m165_inst_shld);
    nand
	M165_inst_N6 (m165_inst_we, e, m165_inst_shld);
    nand
	M165_inst_N7 (m165_inst_wf, f, m165_inst_shld);
    nand
	M165_inst_N8 (m165_inst_wg, g, m165_inst_shld);
    nand  
	M165_inst_N9 (m165_inst_wh, h, m165_inst_shld);
    nand
	M165_inst_G1 (m165_inst_wab, m165_inst_wa, m165_inst_shld);
    nand
	M165_inst_G2 (m165_inst_wbb, m165_inst_wb, m165_inst_shld);
    nand
	M165_inst_G3 (m165_inst_wcb, m165_inst_wc, m165_inst_shld);
    nand
	M165_inst_G4 (m165_inst_wdb, m165_inst_wd, m165_inst_shld);
    nand
	M165_inst_G5 (m165_inst_web, m165_inst_we, m165_inst_shld);
    nand
	M165_inst_G6 (m165_inst_wfb, m165_inst_wf, m165_inst_shld);
    nand
	M165_inst_G7 (m165_inst_wgb, m165_inst_wg, m165_inst_shld);
    nand  
	M165_inst_G8 (m165_inst_whb, m165_inst_wh, m165_inst_shld);
    or  
	M165_inst_R1 (m165_inst_aclk, clk, clkinh);
    U_FD_P_RB_SB_NO
	  (m165_inst_qa, ser, m165_inst_aclk, m165_inst_wab, m165_inst_wa, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qb, m165_inst_qa, m165_inst_aclk, m165_inst_wbb, m165_inst_wb, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qc, m165_inst_qb, m165_inst_aclk, m165_inst_wcb, m165_inst_wc, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qd, m165_inst_qc, m165_inst_aclk, m165_inst_wdb, m165_inst_wd, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qe, m165_inst_qd, m165_inst_aclk, m165_inst_web, m165_inst_we, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qf, m165_inst_qe, m165_inst_aclk, m165_inst_wfb, m165_inst_wf, NOTIFY_REG);
    U_FD_P_RB_SB_NO
	  (m165_inst_qg, m165_inst_qf, m165_inst_aclk, m165_inst_wgb, m165_inst_wg, NOTIFY_REG);
    U_FD_P_RB_SB_NO  
	  (qh, m165_inst_qg, m165_inst_aclk, m165_inst_whb, m165_inst_wh, NOTIFY_REG);
    U_FD_P_RB_SB_NO_QN  
	  (qhn, m165_inst_qg, m165_inst_aclk, m165_inst_whb, m165_inst_wh, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
