/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 8-BIT PARALLEL IN/SERIAL OUT  SHIFT REGISTER 
TRUTHTABLE     : 

    ----------------------------------------
      CLR_  SH_LD_  CLK  CLK_INH    FUNCTION
    ----------------------------------------
       L     X       X      X      CLEAR        
                                  
       D7     X      L      L    NO CHANGE
                      _            
       D7     L     _/      L   PARALLEL LOAD
                      _            
       D7     D7    _/      L     SHIFT
                      _             
       D7     X     _/      D7   NO CHANGE
    ---------------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a166 (serin, a, b, c, d, clkinh, clk, clrn, e, f, g, qh, h, shld);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clkinh,
		clk,
		shld,
		clrn,
		serin,
		a,
		b,
		c,
		d,
		e,
		f,
		g,
		h;
	output
		qh;
    reg
        NOTIFY_REG;
    not
	N1 (ce, clkinh);
    not
	N2 (cp_, clk);
    not
	N3 (pe, shld);
    and
	A1 (en1, clrn, ce);
    and
	A3 (en3, en1, pe);
    not
	  (m166_inst_shld, shld);
    or
	  (m166_inst_aclk, clk, clkinh);
    U_AO_2_2
	M166_inst_inst11_inst1 (m166_inst_wad, serin, shld, a, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst21_inst1 (m166_inst_wbd, m166_inst_qa, shld, b, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst13_inst1 (m166_inst_wcd, m166_inst_qb, shld, c, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst14_inst1 (m166_inst_wdd, m166_inst_qc, shld, d, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst15_inst1 (m166_inst_wed, m166_inst_qd, shld, e, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst16_inst1 (m166_inst_wfd, m166_inst_qe, shld, f, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst17_inst1 (m166_inst_wgd, m166_inst_qf, shld, g, m166_inst_shld);
    U_AO_2_2
	M166_inst_inst18_inst1 (m166_inst_whd, m166_inst_qg, shld, h, m166_inst_shld);
    U_FD_P_RB_NO
	M166_inst_INST1_inst1 (m166_inst_qa, m166_inst_wad, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST2_inst1 (m166_inst_qb, m166_inst_wbd, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST3_inst1 (m166_inst_qc, m166_inst_wcd, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST4_inst1 (m166_inst_qd, m166_inst_wdd, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST5_inst1 (m166_inst_qe, m166_inst_wed, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST6_inst1 (m166_inst_qf, m166_inst_wfd, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO
	M166_inst_INST7_inst1 (m166_inst_qg, m166_inst_wgd, m166_inst_aclk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M166_inst_INST8_inst1 (qh, m166_inst_whd, m166_inst_aclk, dd_net_24, NOTIFY_REG);
    buf  
	  (dd_net_24, clrn);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
