/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : QUAD D TYPE FLIP-FLOPS WITH RESET 
TRUTHTABLE     : 

          --------------------------
           1D  CLK    CLR_   1Q  1Q_
          --------------------------
                  _
           L    _/     H     L   H
                  _
           H    _/     H     H   L
                _
           X     \_    H     1Q  1Q_
          
           X     X     L     L   H

          -------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a175 (clrn, q1, qn1, d1, d2, qn2, q2, clk, q3, qn3, d3, d4, qn4, q4);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clk,
		clrn,
		d1,
		d2,
		d3,
		d4;
	output
		q1,
		qn1,
		q2,
		qn2,
		q3,
		qn3,
		q4,
		qn4;
    reg
        NOTIFY_REG;
    U_FD_P_RB_NO  
	M175_inst_Inst1_inst1 (q1, d1, clk, dd_net_23, NOTIFY_REG);
    U_FD_P_RB_NO  
	M175_inst_Inst2_inst1 (q2, d2, clk, dd_net_23, NOTIFY_REG);
    U_FD_P_RB_NO  
	M175_inst_Inst3_inst1 (q3, d3, clk, dd_net_23, NOTIFY_REG);
    U_FD_P_RB_NO 
	M175_inst_Inst4_inst1 (q4, d4, clk, dd_net_23, NOTIFY_REG);
    U_FD_P_RB_NO_QN  
	M175_inst_Inst5_inst2 (qn1, d1, clk, dd_net_15, NOTIFY_REG);
    U_FD_P_RB_NO_QN  
	M175_inst_Inst6_inst2 (qn2, d2, clk, dd_net_15, NOTIFY_REG);
    U_FD_P_RB_NO_QN  
	M175_inst_Inst7_inst2 (qn3, d3, clk, dd_net_15, NOTIFY_REG);
    U_FD_P_RB_NO_QN 
	M175_inst_Inst8_inst2 (qn4, d4, clk, dd_net_15, NOTIFY_REG);
    buf  
	  (dd_net_15, clrn);
    buf  
	  (dd_net_23, clrn);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
