/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL CARRY-SAVE FULL ADDERS
TRUTHTABLE     : 
     -------------------------------
            INPUTS           OUTPUTS
       CN1 B1 A1       SIGMA CN_PLUS1
     -------------------------------
         L   L   L          L    L
         L   L   H          H    L
         L   H   L          H    L
         L   H   H          L    H
         H   L   L          H    L
         H   L   H          L    H
         H   H   L          L    H
         H   H   H          H    H
     -------------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a183 (a, b, cn, cn1, sum);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		a,
		b,
		cn;
	output
		cn1,
		sum;
    and
	M183_P_inst1_AN4 (m183_p_inst1_wa4, cn, m183_p_inst1_wi2, a);
    and
	M183_P_inst1_AN5 (m183_p_inst1_wa5, m183_p_inst1_wi1, b, a);
    and
	M183_P_inst1_AN6 (m183_p_inst1_wa6, m183_p_inst1_wi1, m183_p_inst1_wi2, m183_p_inst1_wi3);
    and
	M183_P_inst1_AN7 (m183_p_inst1_wa7, cn, b, m183_p_inst1_wi3);
    not
	M183_P_inst1_I1 (m183_p_inst1_wi1, cn);
    not
	M183_P_inst1_I2 (m183_p_inst1_wi2, b);
    not
	M183_P_inst1_I3 (m183_p_inst1_wi3, a);
    nor  
	M183_P_inst1_N2 (sum, m183_p_inst1_wa4, m183_p_inst1_wa5, m183_p_inst1_wa6, m183_p_inst1_wa7);
    U_AOI_2_2_2  
	M183_P_inst1_INST1_inst1 (cn1, m183_p_inst1_wi1, m183_p_inst1_wi2, m183_p_inst1_wi2, m183_p_inst1_wi3, m183_p_inst1_wi1, m183_p_inst1_wi3);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
