/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : PRESETTABLE BINARY COUNTERS/LATCHES
TRUTHTABLE     : 
         -------------------   
         COUNT  QD QC QB QA    
         -------------------   
           0    L  L  L  L     
           1    L  L  L  H     
           2    L  L  H  L     
           3    L  L  H  H     
           4    L  H  L  L     
           5    L  H  L  H     
           6    L  H  H  L     
           7    L  H  H  H     
           8    H  L  L  L     
           9    H  L  L  H     
          10    H  L  H  L
          11    H  L  H  H
          12    H  H  L  L
          13    H  H  L  H
          14    H  H  H  L
          15    H  H  H  H
         -------------------   
        NOTE : 1. OUTPUT QA CONNECTED TO CLOCK-2 INPUT.
                     
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a197 (ldn, qc, c, a, qa, clk2, clk1, qb, b, d, qd, clrn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		ldn,
		c,
		a,
		clk2,
		clk1,
		b,
		d,
		clrn;
	output
		qc,
		qa,
		qb,
		qd;
    reg
        NOTIFY_REG;
    and
	  (en, clrn, ldn);
    nand  
	M197N_inst_N1 (m197n_inst_apre, a, m197n_inst_wclrb, m197n_inst_wn1);
    nand  
	M197N_inst_N2 (m197n_inst_aclr, m197n_inst_apre, m197n_inst_wn1);
    nand
	M197N_inst_N3 (m197n_inst_bpre, b, m197n_inst_wclrb, m197n_inst_wn1);
    nand
	M197N_inst_N4 (m197n_inst_bclr, m197n_inst_bpre, m197n_inst_wn1);
    nand
	M197N_inst_N5 (m197n_inst_cpre, c, m197n_inst_wclrb, m197n_inst_wn1);
    nand
	M197N_inst_N6 (m197n_inst_cclr, m197n_inst_cpre, m197n_inst_wn1);
    nand
	M197N_inst_N7 (m197n_inst_dpre, d, m197n_inst_wclrb, m197n_inst_wn1);
    nand  
	M197N_inst_N8 (m197n_inst_dclr, m197n_inst_dpre, m197n_inst_wn1);
    nand  
	M197N_inst_N9 (m197n_inst_wn1, ldn, clrn);
    buf
	M197N_inst_B1 (m197n_inst_wclrb, clrn);
    not  
	  (m197n_inst_nclk1, clk1);
    not
	  (m197n_inst_nclk2, clk2);
    not
	  (m197n_inst_qbb, m197n_inst_qbint);
    not
	  (m197n_inst_qcb, m197n_inst_qcint);
    buf
	  (qa, m197n_inst_qaint);
    buf  
	  (qb, m197n_inst_qbint);
    buf  
	  (qc, m197n_inst_qcint);
    buf
	  (qd, m197n_inst_qdint);
    U_FT_P_SB_RB_NO  
	M197N_inst_Inst1_inst1 (m197n_inst_qaint, m197n_inst_nclk1, m197n_inst_aclr, m197n_inst_apre, NOTIFY_REG);
    U_FT_P_SB_RB_NO  
	M197N_inst_Inst2_inst1 (m197n_inst_qbint, m197n_inst_nclk2, m197n_inst_bclr, m197n_inst_bpre, NOTIFY_REG);
    U_FT_P_SB_RB_NO  
	M197N_inst_Inst3_inst1 (m197n_inst_qcint, m197n_inst_qbb, m197n_inst_cclr, m197n_inst_cpre, NOTIFY_REG);
    U_FT_P_SB_RB_NO  
	M197N_inst_Inst4_inst1 (m197n_inst_qdint, m197n_inst_qcb, m197n_inst_dclr, m197n_inst_dpre, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
