/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : OCTAL BUFFERS/LINE DRIVERS 
TRUTHTABLE     : 
              ----------------           ----------------
              G1_   A1_1  Y1_1            G2  A2_1  Y2_1
              ----------------           ----------------
               L     L     L              H     L     L
               L     H     H              H     H     H
               H     X     Z              L     X     Z
              ----------------           ----------------
 
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a241 (gn1, a11, y24, a12, y23, a13, y22, a14, y21, a21, y14, a22, y13, a23, y12, a24, y11, g2);
	parameter size =1;
	input
		gn1,
		a11,
		a12,
		a13,
		a14,
		g2,
		a21,
		a22,
		a23,
		a24;
	output
		y11,
		y12,
		y13,
		y14,
		y21,
		y22,
		y23,
		y24;
    not
	  (m241_inst_ng1, gn1);
    buf
	  (m241_inst_g2_b, g2);
    bufif1  
	  (y11, a11, m241_inst_ng1);
    bufif1  
	  (y12, a12, m241_inst_ng1);
    bufif1  
	  (y13, a13, m241_inst_ng1);
    bufif1  
	  (y14, a14, m241_inst_ng1);
    bufif1  
	  (y24, a24, m241_inst_g2_b);
    bufif1  
	  (y23, a23, m241_inst_g2_b);
    bufif1  
	  (y22, a22, m241_inst_g2_b);
    bufif1  
	  (y21, a21, m241_inst_g2_b);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
