/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 8 INPUT MULTIPLEXER 
TRUTHTABLE     : 
          ------------------------------
           C  B  A     G_       Y    W                              
          ------------------------------
           X  X  X     H        Z    Z
           L  L  L     L        D0  ~D0
           L  L  H     L        D1  ~D1
           L  H  L     L        D2  ~D2
           L  H  H     L        D3  ~D3
           H  L  L     L        D4  ~D4
           H  L  H     L        D5  ~D5
           H  H  L     L        D6  ~D6
           H  H  H     L        D7  ~D7  
          ------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a251 (d3, d2, d1, d0, y, w, gn, c, b, a, d7, d6, d5, d4);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		gn,
		a,
		b,
		c,
		d0,
		d1,
		d2,
		d3,
		d4,
		d5,
		d6,
		d7;
	output
		y,
		w;
    bufif0  
	  (y, m251_inst_x, gn);
    notif0  
	  (w, dd_net_13, gn);
    U_MUX_4_2
	M251_inst_M5_M5 (m251_inst_d0_to_d3, d0, d1, d2, d3, dd_net_8, dd_net_10);
    U_MUX_4_2
	M251_inst_M6_M5 (m251_inst_d4_to_d7, d4, d5, d6, d7, dd_net_8, dd_net_10);
    U_MUX_2_1
	M251_inst_M1_M1 (m251_inst_x, m251_inst_d0_to_d3, m251_inst_d4_to_d7, dd_net_12);
    buf  
	  (dd_net_8, a);
    buf  
	  (dd_net_10, b);
    buf  
	  (dd_net_12, c);
    buf  
	  (dd_net_13, m251_inst_x);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
