/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL  4 INPUT SELECTOR
TRUTHTABLE     : 
           -------------------------------------------
            B   A    C0  C1  C2  C3      G_        Y 
           -------------------------------------------
            X   X     H   H   H   H       H         Z 
            L   L     L   H   H   H       L         L 
            L   L     H   L   L   L       L         H 
            L   H     H   L   H   H       L         L 
            L   H     L   H   L   L       L         H 
            H   L     H   H   L   H       L         L 
            H   L     L   L   H   L       L         H 
            H   H     H   H   H   L       L         L 
            H   H     L   L   L   H       L         H 
           --------------------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a253 (gn1, b, c13, c12, c11, c10, y1, y2, c20, c21, c22, c23, a, gn2);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		a,
		b,
		gn1,
		c10,
		c11,
		c12,
		c13,
		gn2,
		c20,
		c21,
		c22,
		c23;
	output
		y1,
		y2;
    bufif0  
	  (y1, m253_inst1_x1, gn1);
    U_MUX_4_2  
	M253_inst1_inst1_M5 (m253_inst1_x1, c10, c11, c12, c13, dd_net_16, dd_net_17);
    bufif0  
	  (y2, m253_inst2_x1, gn2);
    U_MUX_4_2  
	M253_inst2_inst1_M5 (m253_inst2_x1, c20, c21, c22, c23, dd_net_16, dd_net_17);
    buf  
	  (dd_net_16, a);
    buf  
	  (dd_net_17, b);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
