/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : QUAD 1 OF 2 DATA SELECTOR  
TRUTHTABLE     : 
           -------------------------------
            G_     A_B      _1A  _1B      _1Y
           -------------------------------
            H       X       X   X       Z
            L       L       L   X       L
            L       L       H   X       H
            L       H       X   L       L
            L       H       X   H       H
            ------------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a258 (ab, a1, b1, y1, a2, b2, y2, y3, b3, a3, y4, b4, a4, gn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		ab,
		a1,
		b1,
		a2,
		b2,
		b3,
		a3,
		b4,
		a4,
		gn;
	output
		y1,
		y2,
		y3,
		y4;
    bufif0  
	  (y1, m258_inst_x1, gn);
    bufif0  
	  (y2, m258_inst_x2, gn);
    bufif0  
	  (y3, m258_inst_x3, gn);
    bufif0  
	  (y4, m258_inst_x4, gn);
    U_MUX_2_1_INV
	M258_inst_inst1_M1 (m258_inst_x1, a1, b1, dd_net_21);
    U_MUX_2_1_INV
	M258_inst_inst2_M1 (m258_inst_x2, a2, b2, dd_net_21);
    U_MUX_2_1_INV
	M258_inst_inst3_M1 (m258_inst_x3, a3, b3, dd_net_21);
    U_MUX_2_1_INV
	M258_inst_inst4_M1 (m258_inst_x4, a4, b4, dd_net_21);
    buf  
	  (dd_net_21, ab);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
