/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : OCTAL D-TYPE FLIP-FLOP WITH CLEAR
TRUTHTABLE     : 
          ---------------------
           D1  CLK   CLR_    Q1
          ---------------------
                  _
           L    _/    H     L 
                  _
           H    _/    H     H 
                _
           X     \_    H     Q1
          
           X     X     L     L 

          --------------------- 
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a273 (clrn, q1, d1, d2, q2, q3, d3, d4, q4, clk, q5, d5, d6, q6, q7, d7, d8, q8);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clrn,
		d1,
		d2,
		d3,
		d4,
		clk,
		d5,
		d6,
		d7,
		d8;
	output
		q1,
		q2,
		q3,
		q4,
		q5,
		q6,
		q7,
		q8;
    reg
        NOTIFY_REG;
    U_FD_P_RB_NO  
	M273N_inst_Inst1_inst1 (q1, d1, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst2_inst1 (q2, d2, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst3_inst1 (q3, d3, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst4_inst1 (q4, d4, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst5_inst1 (q5, d5, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst6_inst1 (q6, d6, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst7_inst1 (q7, d7, clk, clrn, NOTIFY_REG);
    U_FD_P_RB_NO  
	M273N_inst_Inst8_inst1 (q8, d8, clk, clrn, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
