/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : TTL LS; Rev 3.0; August 90
FUNCTION       : 8-LINE TO 3-LINE PRIORITY ENCODERS WITH 3-STATE OUTPUTS
TRUTHTABLE     : 
   ---------------------------------------------------------
                   INPUTS                      OUTPUTS
    EI  0   1   2   3   4   5   6   7    A2  A1 A0  GS  EO
   ---------------------------------------------------------
    H   X   X   X   X   X   X   X   X     Z  Z  Z   H   H
    L   H   H   H   H   H   H   H   H     Z  Z  Z   H   L
    L   X   X   X   X   X   X   X   L     L  L  L   L   H
    L   X   X   X   X   X   X   L   H     L  L  H   L   H
    L   X   X   X   X   X   L   H   H     L  H  L   L   H
    L   X   X   X   X   L   H   H   H     L  H  H   L   H
    L   X   X   X   L   H   H   H   H     H  L  L   L   H
    L   X   X   L   H   H   H   H   H     H  L  H   L   H
    L   X   L   H   H   H   H   H   H     H  H  L   L   H
    L   L   H   H   H   H   H   H   H     H  H  H   L   H
  -----------------------------------------------------------  
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a348 (i4, i5, i6, i7, ei, a2, a1, a0, i0, i1, i2, i3, gs, eo);
	parameter size =1;
	input
		i4,
		i5,
		i6,
		i7,
		ei,
		i0,
		i1,
		i2,
		i3;
	output
		a2,
		a1,
		a0,
		gs,
		eo;
    and
	M348_inst_G1 (m348_inst_wa1, m348_inst_wi1, i2, i4, i6, m348_inst_wi8);
    and
	M348_inst_G2 (m348_inst_wa2, m348_inst_wi3, i4, i6, m348_inst_wi8);
    and
	M348_inst_G3 (m348_inst_wa3, m348_inst_wi5, i6, m348_inst_wi8);
    and
	M348_inst_G4 (m348_inst_wa4, m348_inst_wi7, m348_inst_wi8);
    and
	M348_inst_G5 (m348_inst_wa5, m348_inst_wi2, i4, i5, m348_inst_wi8);
    and
	M348_inst_G6 (m348_inst_wa6, i4, m348_inst_wi3, i5, m348_inst_wi8);
    and
	M348_inst_G7 (m348_inst_wa7, m348_inst_wi6, m348_inst_wi8);
    and
	M348_inst_G8 (m348_inst_wa8, m348_inst_wi7, m348_inst_wi8);
    and
	M348_inst_G9 (m348_inst_wa9, m348_inst_wi4, m348_inst_wi8);
    and
	M348_inst_G10 (m348_inst_wa10, m348_inst_wi5, m348_inst_wi8);
    and
	M348_inst_G11 (m348_inst_wa11, m348_inst_wi6, m348_inst_wi8);
    and
	M348_inst_G12 (m348_inst_wa12, m348_inst_wi7, m348_inst_wi8);
    not
	M348_inst_I1 (m348_inst_wi1, i1);
    not
	M348_inst_I2 (m348_inst_wi2, i2);
    not
	M348_inst_I3 (m348_inst_wi3, i3);
    not
	M348_inst_I4 (m348_inst_wi4, i4);
    not
	M348_inst_I5 (m348_inst_wi5, i5);
    not
	M348_inst_I6 (m348_inst_wi6, i6);
    not
	M348_inst_I7 (m348_inst_wi7, i7);
    not
	M348_inst_I8 (m348_inst_wi8, ei);
    nand
	M348_inst_NA1 (m348_inst_eoint, i0, i1, i2, i3, i4, i5, i6, i7, m348_inst_wi8);
    nand
	M348_inst_NA2 (m348_inst_gsint, m348_inst_eoint, m348_inst_wi8);
    nor
	M348_inst_NO1 (m348_inst_wn1, m348_inst_wa1, m348_inst_wa2, m348_inst_wa3, m348_inst_wa4);
    nor
	M348_inst_NO2 (m348_inst_wn2, m348_inst_wa5, m348_inst_wa6, m348_inst_wa7, m348_inst_wa8);
    nor
	M348_inst_NO3 (m348_inst_wn3, m348_inst_wa9, m348_inst_wa10, m348_inst_wa11, m348_inst_wa12);
    bufif0  
	M348_inst_BDRN1 (a0, m348_inst_wn1, m348_inst_gsint);
    bufif0  
	M348_inst_BDRN2 (a1, m348_inst_wn2, m348_inst_gsint);
    bufif0  
	M348_inst_BDRN3 (a2, m348_inst_wn3, m348_inst_gsint);
    buf  
	  (gs, m348_inst_gsint);
    buf  
	  (eo, m348_inst_eoint);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
