/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL 4-LINE TO DATA SELECTORS/MULTIPLEXERS WITH 3-STATE OUTPUTS
TRUTHTABLE     : 
           -------------------------------------
            B   A    C1_0 C1_1 C1_2 C1_3     G1_  Y1
           -------------------------------------
            X   X     X   X   X   X       H   Z

            L   L     L   X   X   X       L   H
            L   L     H   X   X   X       L   L
  
            L   H     X   L   X   X       L   H
            L   H     X   H   X   X       L   L

            H   L     X   X   L   X       L   H
            H   L     X   X   H   X       L   L

            H   H     X   X   X   L       L   H
            H   H     X   X   X   H       L   L
           --------------------------------------
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a353 (gn1, b, c13, c12, c11, c10, y1, y2, c20, c21, c22, c23, a, gn2);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		gn1,
		b,
		c13,
		c12,
		c11,
		c10,
		c20,
		c21,
		c22,
		c23,
		a,
		gn2;
	output
		y1,
		y2;
    bufif0  
	  (y1, m353_inst1_y1_int, gn1);
    U_MUX_4_2_INV  
	M353_inst1_INST1_M5 (m353_inst1_y1_int, c10, c11, c12, c13, dd_net_16, dd_net_17);
    bufif0  
	  (y2, m353_inst2_y1_int, gn2);
    U_MUX_4_2_INV  
	M353_inst2_INST1_M5 (m353_inst2_y1_int, c20, c21, c22, c23, dd_net_16, dd_net_17);
    buf  
	  (dd_net_16, a);
    buf  
	  (dd_net_17, b);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
