/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : OCTAL D-TYPE TRANSPARENT LATCHES 
TRUTHTABLE     : 
          ---------------------
           D    C   OC_    Q 
          ---------------------
           L    H    L     L 
                
           H    H    L     H 
                
           X    L    L     Q0 
          
           X    X    H     Z 
          --------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a373 (ocn, q1, d1, d2, q2, q3, d3, d4, q4, c, q5, d5, d6, q6, q7, d7, d8, q8);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		ocn,
		c,
		d1,
		d2,
		d3,
		d4,
		d5,
		d6,
		d7,
		d8;
	output
		q1,
		q2,
		q3,
		q4,
		q5,
		q6,
		q7,
		q8;
    reg
        NOTIFY_REG;
    bufif0  
	M373_inst_B1 (q1, m373_inst_wq1, ocn);
    bufif0  
	M373_inst_B2 (q2, m373_inst_wq2, ocn);
    bufif0  
	M373_inst_B3 (q3, m373_inst_wq3, ocn);
    bufif0  
	M373_inst_B4 (q4, m373_inst_wq4, ocn);
    bufif0  
	M373_inst_B5 (q5, m373_inst_wq5, ocn);
    bufif0  
	M373_inst_B6 (q6, m373_inst_wq6, ocn);
    bufif0  
	M373_inst_B7 (q7, m373_inst_wq7, ocn);
    bufif0  
	M373_inst_B8 (q8, m373_inst_wq8, ocn);
    U_LD_P_NO  
	M373_inst_inst1_inst1 (m373_inst_wq1, d1, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst2_inst1 (m373_inst_wq2, d2, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst3_inst1 (m373_inst_wq3, d3, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst4_inst1 (m373_inst_wq4, d4, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst5_inst1 (m373_inst_wq5, d5, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst6_inst1 (m373_inst_wq6, d6, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst7_inst1 (m373_inst_wq7, d7, c, NOTIFY_REG);
    U_LD_P_NO  
	M373_inst_inst8_inst1 (m373_inst_wq8, d8, c, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
