/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : OCTAL D-TYPE FLIP-FLOP WITH DATA ENABLE 
TRUTHTABLE     : 
          -----------------------
           D    CLK    G_     Q 
          -----------------------
                  _
           L    _/     L      L 
                  _
           H    _/     L      H 
                _
           X     \_    X      Q0 
          
           X     X     H      Q0 
          ------------------------ 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a377 (gn, q1, d1, d2, q2, q3, d3, d4, q4, clk, q5, d5, d6, q6, q7, d7, d8, q8);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		gn,
		clk,
		d1,
		d2,
		d3,
		d4,
		d5,
		d6,
		d7,
		d8;
	output
		q1,
		q2,
		q3,
		q4,
		q5,
		q6,
		q7,
		q8;
    reg
        NOTIFY_REG;
    nor
	M377_inst_N1 (m377_inst_w1, m377_inst_w2, gn);
    not
	M377_inst_N2 (m377_inst_nw1, m377_inst_w1);
    and
	M377_inst_A1 (m377_inst_w2, m377_inst_nw1, clk);
    and  
	M377_inst_A2 (m377_inst_sclk, m377_inst_w1, clk);
    U_FD_P_NO  
	M377_inst_Inst1_inst1 (q1, d1, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst2_inst1 (q2, d2, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst3_inst1 (q3, d3, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst4_inst1 (q4, d4, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst5_inst1 (q5, d5, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst6_inst1 (q6, d6, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst7_inst1 (q7, d7, m377_inst_sclk, NOTIFY_REG);
    U_FD_P_NO  
	M377_inst_Inst8_inst1 (q8, d8, m377_inst_sclk, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
