/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : QUAD D-TYPE FLIP-FLOPS WITH ENABLE
TRUTHTABLE     : 
          ---------------------------
           D1   CLK    G_      Q1   Q1_ 
          ---------------------------
                  _             
           L    _/     L      L    H
                  _             
           H    _/     L      H    L 
                _               
           X     \_    L      Q1   Q1_ 
                                
           X     X     H      Q1   Q1_ 
          ---------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a379 (gn, q1, qn1, d1, d2, qn2, q2, clk, q3, qn3, d3, d4, qn4, q4);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		gn,
		d1,
		d2,
		clk,
		d3,
		d4;
	output
		q1,
		qn1,
		qn2,
		q2,
		q3,
		qn3,
		qn4,
		q4;
    reg
        NOTIFY_REG;
    nor
	M379N_inst_N1 (m379n_inst_w1, m379n_inst_w2, gn);
    not
	M379N_inst_N2 (m379n_inst_nw1, m379n_inst_w1);
    and
	M379N_inst_A1 (m379n_inst_w2, m379n_inst_nw1, clk);
    and  
	M379N_inst_A2 (m379n_inst_sclk, m379n_inst_w1, clk);
    not  
	M379N_inst_N3 (qn1, m379n_inst_q1_int);
    not  
	M379N_inst_N4 (qn2, m379n_inst_q2_int);
    not  
	M379N_inst_N5 (qn3, m379n_inst_q3_int);
    not  
	M379N_inst_N6 (qn4, m379n_inst_q4_int);
    buf  
	M379N_inst_B1 (q1, m379n_inst_q1_int);
    buf  
	M379N_inst_B2 (q2, m379n_inst_q2_int);
    buf  
	M379N_inst_B3 (q3, m379n_inst_q3_int);
    buf  
	M379N_inst_B4 (q4, m379n_inst_q4_int);
    U_FD_P_NO
	M379N_inst_Inst1_inst1 (m379n_inst_q1_int, d1, m379n_inst_sclk, NOTIFY_REG);
    U_FD_P_NO
	M379N_inst_Inst2_inst1 (m379n_inst_q2_int, d2, m379n_inst_sclk, NOTIFY_REG);
    U_FD_P_NO
	M379N_inst_Inst3_inst1 (m379n_inst_q3_int, d3, m379n_inst_sclk, NOTIFY_REG);
    U_FD_P_NO
	M379N_inst_Inst4_inst1 (m379n_inst_q4_int, d4, m379n_inst_sclk, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
