/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : ARITHMETIC LOGIC UNITS/FUNCTION GENERATORS
TRUTHTABLE     : 
     ========================================================
     OPERATION    S2 S1 S0  CN  AN  BN   F3 F2 F1 F0   G_  P_
     ========================================================

      CLEAR       L  L  L   X   X   X    L  L  L  L    H   H 
     --------------------------------------------------------
                            L   L   L    H  H  H  H    H   L
                            L   L   H    H  H  H  L    L   H
                            L   H   L    L  L  L  L    H   H
      B MINUS A   L  L  H   L   H   H    H  H  H  H    H   L
                            H   L   L    L  L  L  L    H   L
                            H   L   H    H  H  H  H    H   L
                            H   H   L    L  L  L  H    H   H
                            H   H   H    L  L  L  L    H   L
      -------------------------------------------------------
                            L   L   L    H  H  H  H    H   L
                            L   L   H    L  L  L  L    H   H
                            L   H   L    H  H  H  L    L   H
      A MINUS B   L  H  L   L   H   H    H  H  H  H    H   L
                            H   L   L    L  L  L  L    H   L
                            H   L   H    L  L  L  H    H   H
                            H   H   L    H  H  H  H    L   H
                            H   H   H    L  L  L  L    H   L
      -------------------------------------------------------
                            L   L   L    L  L  L  L    H   H
                            L   L   H    H  H  H  H    H   L
                            L   H   L    H  H  H  H    H   L
      A PLUS B    L  H  H   L   H   H    H  H  H  L    L   H
                            H   L   L    L  L  L  H    H   H
                            H   L   H    L  L  L  L    H   L
                            H   H   L    L  L  L  L    H   L
                            H   H   H    H  H  H  H    L   H
      -------------------------------------------------------
                            X   L   L    L  L  L  L    H   H
      A (+) B     H  L  L   X   L   H    H  H  H  H    H   L
                            X   H   L    H  H  H  H    H   L
                            X   H   H    L  L  L  L    H   H
      -------------------------------------------------------
                            X   L   L    L  L  L  L    H   H
      A + B       H  L  H   X   L   H    H  H  H  H    H   L
                            X   H   L    H  H  H  H    H   L
                            X   H   H    H  H  H  H    H   L
      -------------------------------------------------------
                            X   L   L    L  L  L  L    H   H
      AB          H  H  L   X   L   H    L  L  L  L    H   H
                            X   H   L    L  L  L  L    H   H
                            X   H   H    H  H  H  H    H   L
      -------------------------------------------------------
      PRESET      H  H  H   X   X   X    H  H  H  H    H   L
      -------------------------------------------------------
                 
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a381 (a1, b1, a0, b0, s0, s1, s2, f0, f1, f2, f3, gn, pn, cn, b3, a3, b2, a2);
	parameter size =1;
	input
		a1,
		b1,
		a0,
		b0,
		s0,
		s1,
		s2,
		cn,
		b3,
		a3,
		b2,
		a2;
	output
		f0,
		f1,
		f2,
		f3,
		gn,
		pn;
    not
	M381_inst_N1 (m381_inst_wi1, s0);
    not
	M381_inst_N2 (m381_inst_wi2, s1);
    not
	M381_inst_N3 (m381_inst_wi3, s2);
    and
	M381_inst_AN1 (m381_inst_wan1, s0, m381_inst_wi2, m381_inst_wi3);
    and
	M381_inst_AN2 (m381_inst_wan2, m381_inst_wi1, s1, m381_inst_wi3);
    and
	M381_inst_AN3 (m381_inst_wan3, s0, s1, s2);
    and
	M381_inst_AN4 (m381_inst_wan4, s0, m381_inst_wi2);
    and
	M381_inst_AN5 (m381_inst_wan5, s0, s2);
    and
	M381_inst_AN6 (m381_inst_wan6, m381_inst_wi1, s1);
    and
	M381_inst_AN7 (m381_inst_wan7, s0, s1);
    and
	M381_inst_AN8 (m381_inst_wan8, m381_inst_wi2, s2);
    and
	M381_inst_AN9 (m381_inst_wan9, s0, m381_inst_wi3);
    and
	M381_inst_AN10 (m381_inst_wan10, s1, m381_inst_wi3);
    and
	M381_inst_AN11 (m381_inst_wan11, m381_inst_wr1, cn, m381_inst_wg1);
    and
	M381_inst_AN12 (m381_inst_wan12, m381_inst_wr1, m381_inst_wg2);
    and
	M381_inst_AN13 (m381_inst_wan13, m381_inst_wr1, cn, m381_inst_wg1, m381_inst_wg3);
    and
	M381_inst_AN14 (m381_inst_wan14, m381_inst_wr1, m381_inst_wg2, m381_inst_wg3);
    and
	M381_inst_AN15 (m381_inst_wan15, m381_inst_wr1, m381_inst_wg4);
    and
	M381_inst_AN16 (m381_inst_wan16, m381_inst_wr1, cn, m381_inst_wg1, m381_inst_wg3, m381_inst_wg5);
    and
	M381_inst_AN17 (m381_inst_wan17, m381_inst_wr1, m381_inst_wg2, m381_inst_wg3, m381_inst_wg5);
    and
	M381_inst_AN18 (m381_inst_wan18, m381_inst_wr1, m381_inst_wg4, m381_inst_wg5);
    and
	M381_inst_AN19 (m381_inst_wan19, m381_inst_wr1, m381_inst_wg6);
    and
	M381_inst_AN21 (m381_inst_wan21, m381_inst_wg2, m381_inst_wg3, m381_inst_wg5, m381_inst_wg7);
    and
	M381_inst_AN22 (m381_inst_wan22, m381_inst_wg4, m381_inst_wg5, m381_inst_wg7);
    and
	M381_inst_AN23 (m381_inst_wan23, m381_inst_wg6, m381_inst_wg7);
    and
	M381_inst_AN24 (m381_inst_wan24, m381_inst_wg8);
    nand
	M381_inst_ND1 (m381_inst_wnd1, s0, m381_inst_wi2, m381_inst_wi3);
    nand
	M381_inst_ND2 (m381_inst_wnd2, s0, s1, m381_inst_wi3);
    nand
	M381_inst_ND3 (m381_inst_wnd3, m381_inst_wi1, s1, m381_inst_wi3);
    nand
	M381_inst_ND4 (m381_inst_wnd4, m381_inst_wr1, cn);
    nand  
	M381_inst_ND5 (pn, m381_inst_wg1, m381_inst_wg3, m381_inst_wg5, m381_inst_wg7);
    or
	M381_inst_R1 (m381_inst_wr1, m381_inst_wan9, m381_inst_wan10);
    nor
	M381_inst_NR1 (m381_inst_wnr1, m381_inst_wan1, m381_inst_wan2, m381_inst_wan3);
    nor
	M381_inst_NR2 (m381_inst_wnr2, m381_inst_wan4, m381_inst_wan5, m381_inst_wan6);
    nor
	M381_inst_NR3 (m381_inst_wnr3, m381_inst_wan7, m381_inst_wan8);
    nor
	M381_inst_NR4 (m381_inst_wnr4, m381_inst_wan11, m381_inst_wan12);
    nor
	M381_inst_NR5 (m381_inst_wnr5, m381_inst_wan13, m381_inst_wan14, m381_inst_wan15);
    nor
	M381_inst_NR6 (m381_inst_wnr6, m381_inst_wan16, m381_inst_wan17, m381_inst_wan18, m381_inst_wan19);
    nor  
	M381_inst_NR8 (gn, m381_inst_wan21, m381_inst_wan22, m381_inst_wan23, m381_inst_wan24);
    xnor  
	M381_inst_XN1 (f0, m381_inst_wg1, m381_inst_wnd4);
    xnor  
	M381_inst_XN2 (f1, m381_inst_wg3, m381_inst_wnr4);
    xnor  
	M381_inst_XN3 (f2, m381_inst_wg5, m381_inst_wnr5);
    xnor  
	M381_inst_XN4 (f3, m381_inst_wg7, m381_inst_wnr6);
    not
	M381_inst_G1_N1 (m381_inst_g1_a_, a0);
    not
	M381_inst_G1_N2 (m381_inst_g1_b_, b0);
    and
	M381_inst_G1_A1 (m381_inst_g1_wa1, m381_inst_wnr3, a0, m381_inst_g1_b_);
    and
	M381_inst_G1_A2 (m381_inst_g1_wa2, m381_inst_wnr2, a0, b0);
    and
	M381_inst_G1_A3 (m381_inst_g1_wa3, m381_inst_wnr3, m381_inst_g1_a_, b0);
    and
	M381_inst_G1_A4 (m381_inst_g1_wa4, m381_inst_wnr1, m381_inst_g1_a_, m381_inst_g1_b_);
    and
	M381_inst_G1_A5 (m381_inst_g1_wa5, m381_inst_wnd3, a0, m381_inst_g1_b_);
    and
	M381_inst_G1_A6 (m381_inst_g1_wa6, m381_inst_wnd2, a0, b0);
    and
	M381_inst_G1_A7 (m381_inst_g1_wa7, m381_inst_wnd1, m381_inst_g1_a_, b0);
    and
	M381_inst_G1_A8 (m381_inst_g1_wa8, m381_inst_g1_a_, m381_inst_g1_b_);
    nor
	M381_inst_G1_NR1 (m381_inst_wg1, m381_inst_g1_wa1, m381_inst_g1_wa2, m381_inst_g1_wa3, m381_inst_g1_wa4);
    nor
	M381_inst_G1_NR2 (m381_inst_wg2, m381_inst_g1_wa5, m381_inst_g1_wa6, m381_inst_g1_wa7, m381_inst_g1_wa8);
    not
	M381_inst_G2_N1 (m381_inst_g2_a_, a1);
    not
	M381_inst_G2_N2 (m381_inst_g2_b_, b1);
    and
	M381_inst_G2_A1 (m381_inst_g2_wa1, m381_inst_wnr3, a1, m381_inst_g2_b_);
    and
	M381_inst_G2_A2 (m381_inst_g2_wa2, m381_inst_wnr2, a1, b1);
    and
	M381_inst_G2_A3 (m381_inst_g2_wa3, m381_inst_wnr3, m381_inst_g2_a_, b1);
    and
	M381_inst_G2_A4 (m381_inst_g2_wa4, m381_inst_wnr1, m381_inst_g2_a_, m381_inst_g2_b_);
    and
	M381_inst_G2_A5 (m381_inst_g2_wa5, m381_inst_wnd3, a1, m381_inst_g2_b_);
    and
	M381_inst_G2_A6 (m381_inst_g2_wa6, m381_inst_wnd2, a1, b1);
    and
	M381_inst_G2_A7 (m381_inst_g2_wa7, m381_inst_wnd1, m381_inst_g2_a_, b1);
    and
	M381_inst_G2_A8 (m381_inst_g2_wa8, m381_inst_g2_a_, m381_inst_g2_b_);
    nor
	M381_inst_G2_NR1 (m381_inst_wg3, m381_inst_g2_wa1, m381_inst_g2_wa2, m381_inst_g2_wa3, m381_inst_g2_wa4);
    nor
	M381_inst_G2_NR2 (m381_inst_wg4, m381_inst_g2_wa5, m381_inst_g2_wa6, m381_inst_g2_wa7, m381_inst_g2_wa8);
    not
	M381_inst_G3_N1 (m381_inst_g3_a_, a2);
    not
	M381_inst_G3_N2 (m381_inst_g3_b_, b2);
    and
	M381_inst_G3_A1 (m381_inst_g3_wa1, m381_inst_wnr3, a2, m381_inst_g3_b_);
    and
	M381_inst_G3_A2 (m381_inst_g3_wa2, m381_inst_wnr2, a2, b2);
    and
	M381_inst_G3_A3 (m381_inst_g3_wa3, m381_inst_wnr3, m381_inst_g3_a_, b2);
    and
	M381_inst_G3_A4 (m381_inst_g3_wa4, m381_inst_wnr1, m381_inst_g3_a_, m381_inst_g3_b_);
    and
	M381_inst_G3_A5 (m381_inst_g3_wa5, m381_inst_wnd3, a2, m381_inst_g3_b_);
    and
	M381_inst_G3_A6 (m381_inst_g3_wa6, m381_inst_wnd2, a2, b2);
    and
	M381_inst_G3_A7 (m381_inst_g3_wa7, m381_inst_wnd1, m381_inst_g3_a_, b2);
    and
	M381_inst_G3_A8 (m381_inst_g3_wa8, m381_inst_g3_a_, m381_inst_g3_b_);
    nor
	M381_inst_G3_NR1 (m381_inst_wg5, m381_inst_g3_wa1, m381_inst_g3_wa2, m381_inst_g3_wa3, m381_inst_g3_wa4);
    nor
	M381_inst_G3_NR2 (m381_inst_wg6, m381_inst_g3_wa5, m381_inst_g3_wa6, m381_inst_g3_wa7, m381_inst_g3_wa8);
    not
	M381_inst_G4_N1 (m381_inst_g4_a_, a3);
    not
	M381_inst_G4_N2 (m381_inst_g4_b_, b3);
    and
	M381_inst_G4_A1 (m381_inst_g4_wa1, m381_inst_wnr3, a3, m381_inst_g4_b_);
    and
	M381_inst_G4_A2 (m381_inst_g4_wa2, m381_inst_wnr2, a3, b3);
    and
	M381_inst_G4_A3 (m381_inst_g4_wa3, m381_inst_wnr3, m381_inst_g4_a_, b3);
    and
	M381_inst_G4_A4 (m381_inst_g4_wa4, m381_inst_wnr1, m381_inst_g4_a_, m381_inst_g4_b_);
    and
	M381_inst_G4_A5 (m381_inst_g4_wa5, m381_inst_wnd3, a3, m381_inst_g4_b_);
    and
	M381_inst_G4_A6 (m381_inst_g4_wa6, m381_inst_wnd2, a3, b3);
    and
	M381_inst_G4_A7 (m381_inst_g4_wa7, m381_inst_wnd1, m381_inst_g4_a_, b3);
    and
	M381_inst_G4_A8 (m381_inst_g4_wa8, m381_inst_g4_a_, m381_inst_g4_b_);
    nor
	M381_inst_G4_NR1 (m381_inst_wg7, m381_inst_g4_wa1, m381_inst_g4_wa2, m381_inst_g4_wa3, m381_inst_g4_wa4);
    nor
	M381_inst_G4_NR2 (m381_inst_wg8, m381_inst_g4_wa5, m381_inst_g4_wa6, m381_inst_g4_wa7, m381_inst_g4_wa8);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
