/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 4-BIT BINARY RIPPLE COUNTER 
TRUTHTABLE     : 
         ------------------- 
         COUNT  Q3.......Q0
         ------------------- 
           0    L  L  L  L   
           1    L  L  L  H   
           2    L  L  H  L   
           3    L  L  H  H   
           4    L  H  L  L   
           5    L  H  L  H   
           6    L  H  H  L   
           7    L  H  H  H   
           8    H  L  L  L   
           9    H  L  L  H   
          10    H  L  H  L   
          11    H  L  H  H   
          12    H  H  L  L   
          13    H  H  L  H   
          14    H  H  H  L   
          15    H  H  H  H   
         ------------------- 
                                           
REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a393 (clk, clr, qa, qb, qc, qd);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clr,
		clk;
	output
		qa,
		qb,
		qc,
		qd;
    reg
        NOTIFY_REG1;
    not  
	M393_inst1_N1 (m393_inst1_clrb1, clr);
    not  
	  (m393_inst1_na1, clk);
    not
	  (m393_inst1_nqa1int, m393_inst1_qa1int);
    not
	  (m393_inst1_nqb1int, m393_inst1_qb1int);
    not
	  (m393_inst1_nqc1int, m393_inst1_qc1int);
    buf
	  (qa, m393_inst1_qa1int);
    buf
	  (qb, m393_inst1_qb1int);
    buf
	  (qc, m393_inst1_qc1int);
    buf
	  (qd, m393_inst1_qd1int);
    U_FT_P_RB_NO
	M393_inst1_Inst1_inst1 (m393_inst1_qa1int, m393_inst1_na1, m393_inst1_clrb1, NOTIFY_REG1);
    U_FT_P_RB_NO
	M393_inst1_Inst2_inst1 (m393_inst1_qb1int, m393_inst1_nqa1int, m393_inst1_clrb1, NOTIFY_REG1);
    U_FT_P_RB_NO
	M393_inst1_Inst3_inst1 (m393_inst1_qc1int, m393_inst1_nqb1int, m393_inst1_clrb1, NOTIFY_REG1);
    U_FT_P_RB_NO
	M393_inst1_Inst4_inst1 (m393_inst1_qd1int, m393_inst1_nqc1int, m393_inst1_clrb1, NOTIFY_REG1);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
