/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL 4-INPUT POSITIVE-NAND BUFFERS
TRUTHTABLE     : 

           ---------------------
           A B C  D  Y
           ---------------------
            L   X   X    X    H
            X   L   X    X    H
            X   X   L    X    H
            X   X   X    L    H
            H   H   H    H    L
           --------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a40 (y, a, b, c, d);
	parameter size =1;
	input
		a,
		b,
		c,
		d;
	output
		y;
    nand  
	  (y, a, b, c, d);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
