/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : BCD TO DECIMAL  DECODERS(1-OF-10) 
TRUTHTABLE     : 

    --------------------------------
     D   C   B    A    0..........9     
    --------------------------------
     L   L   L    L    LHHH HHHH HH
     L   L   L    H    HLHH HHHH HH
     L   L   H    L    HHLH HHHH HH
     L   L   H    H    HHHL HHHH HH
     L   H   L    L    HHHH LHHH HH
     L   H   L    H    HHHH HLHH HH
     L   H   H    L    HHHH HHLH HH
     L   H   H    H    HHHH HHHL HH
     H   L   L    L    HHHH HHHH LH
     H   L   L    H    HHHH HHHH HL
     H   L   H    L    HHHH HHHH HH
     H   L   H    H    HHHH HHHH HH
     H   H   L    L    HHHH HHHH HH
     H   H   L    H    HHHH HHHH HH
     H   H   H    L    HHHH HHHH HH
     H   H   H    H    HHHH HHHH HH
    -------------------------------  

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY  : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a42 (o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, a, b, c, d);
	parameter size =1;
	input
		a,
		b,
		c,
		d;
	output
		o0,
		o1,
		o2,
		o3,
		o4,
		o5,
		o6,
		o7,
		o8,
		o9;
    not
	M42_inst_N1 (m42_inst_na, a);
    not
	M42_inst_N2 (m42_inst_nb, b);
    not
	M42_inst_N3 (m42_inst_nc, c);
    not
	M42_inst_N4 (m42_inst_nd, d);
    nand  
	M42_inst_G0 (o0, m42_inst_na, m42_inst_nb, m42_inst_nc, m42_inst_nd);
    nand  
	M42_inst_G1 (o1, a, m42_inst_nb, m42_inst_nc, m42_inst_nd);
    nand  
	M42_inst_G2 (o2, m42_inst_na, b, m42_inst_nc, m42_inst_nd);
    nand  
	M42_inst_G3 (o3, a, b, m42_inst_nc, m42_inst_nd);
    nand  
	M42_inst_G4 (o4, m42_inst_na, m42_inst_nb, c, m42_inst_nd);
    nand  
	M42_inst_G5 (o5, a, m42_inst_nb, c, m42_inst_nd);
    nand  
	M42_inst_G6 (o6, m42_inst_na, b, c, m42_inst_nd);
    nand  
	M42_inst_G7 (o7, a, b, c, m42_inst_nd);
    nand  
	M42_inst_G8 (o8, m42_inst_na, m42_inst_nb, m42_inst_nc, d);
    nand  
	M42_inst_G9 (o9, a, m42_inst_nb, m42_inst_nc, d);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
