/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 4-WIDE AND-OR-INVERT GATES
TRUTHTABLE     : 

            -----------------------------------
            A B    C D E    F G H    I J      Y
            -----------------------------------
            H H    X X X    X X X    X X      L
            X X    H H H    X X X    X X      L
            X X    X X X    H H H    X X      L
            X X    X X X    X X X    H H      L
             AT LEAST ONE L IN EACH GROUP     H
            -----------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY  : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a54 (y, a, b, c, d, e, f, g, h, i, j);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		a,
		b,
		c,
		d,
		e,
		f,
		g,
		h,
		i,
		j;
	output
		y;
    nor  
	  (y, mls54_inst_wao1, mls54_inst_wao2);
    U_AO_3_3
	MLS54_inst_AO1_inst1 (mls54_inst_wao1, c, d, e, f, g, h);
    U_AO_2_2
	MLS54_inst_AO2_inst1 (mls54_inst_wao2, a, b, i, j);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
