/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************//*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : D-TYPE POSITIVE-EDGE-TRIGGERED FLIP-FLOPS WITH PRESET & CLEAR 
TRUTHTABLE     : 

          --------------------------------
           D    CLK   CLR_ PRE_   Q1  Q1_
          --------------------------------
                  _
           L    _/     H    H      L   H
                  _
           H    _/     H    H      H   L
                
           X     L     H    H      Q1  Q1_ 
          
           X     X     L    H      L   H

           X     X     H    L      H   L

           X     X     L    L      H   H

          -------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a74 (clrn, d, clk, pren, q, qn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clrn,
		d,
		clk,
		pren;
	output
		q,
		qn;

    reg
        NOTIFY_REG1;
    and
	A1 (en1, clrn, pren);
    U_FD_P_SB_RB_NO  
	  (q, d, dd_net2, dd_net0, pren, NOTIFY_REG1);
    U_FD_P_SB_RB_NO_QN  
	  (qn, d, dd_net2, clrn, dd_net_8, NOTIFY_REG1);
    buf  
	  (dd_net_8, pren);
    buf  
	  (dd_net0, clrn);
    buf  
	  (dd_net2, clk);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
