/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : DUAL J-K FLIP-FLOPS WITH PRESET AND CLEAR
TRUTHTABLE     : 

              ------------------------------------
              PRE_  CLR_   CLK   J K       Q    Q_
              ------------------------------------
               L     H      X    X X       H    L
               H     L      X    X X       L    X
                           _
               H     H      \_   L L       Q    Q_
                           _
               H     H      \_   H L       H    L
                           _
               H     H      \_   L H       L    H
                           _
               H     H      \_   H H       TOGGLE

               H     H      H    X X       Q    Q_
              ------------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : June 1994 

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a76 (clk, pren, clrn, j, k, q, qn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clk,
		pren,
		clrn,
		j,
		k;
	output
		qn,
		q;
    reg
        NOTIFY_REG1;
    and
	A1 (en1, clrn, pren);
    not
	  (m76an_inst1_nclk1, clk);
    U_FJK_P_SB_RB_NO  
	M76AN_inst1_U1_inst1 (q, j, k, m76an_inst1_nclk1, clrn, pren, NOTIFY_REG1);
    U_FJK_P_SB_RB_NO_QN  
	M76AN_inst1_U2_inst2 (qn, j, k, m76an_inst1_nclk1, clrn, pren, NOTIFY_REG1);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
