/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 8-BIT SHIFT REGISTER
TRUTHTABLE     : 

           -------------------------------------
            INPUTS AT tn         OUTPUTS AT tn+8
               A   B                QH   QH_
           -------------------------------------
               H   H                H     L
               L   X                L     H
               X   L                L     H
           ------------------------------------- 

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : AMI VIDER
DATE GENERATED : February 1993
DATE MODIFIED  : August 1993

VERITOOL COMPATIBILITY  : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a91 (clk, b, a, qh, qhn);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		clk,
		b,
		a;
	output
		qh,
		qhn;
    reg
        NOTIFY_REG;
    and
	N91N_inst_A1 (n91n_inst_di, a, b);
    not  
	  (qhn, n91n_inst_qhint);
    buf  
	  (qh, n91n_inst_qhint);
    U_FD_P_NO
	N91N_inst_Inst1_inst1 (n91n_inst_qaint, n91n_inst_di, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst2_inst1 (n91n_inst_qbint, n91n_inst_qaint, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst3_inst1 (n91n_inst_qcint, n91n_inst_qbint, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst4_inst1 (n91n_inst_qdint, n91n_inst_qcint, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst5_inst1 (n91n_inst_qeint, n91n_inst_qdint, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst6_inst1 (n91n_inst_qfint, n91n_inst_qeint, clk, NOTIFY_REG);
    U_FD_P_NO
	N91N_inst_Inst7_inst1 (n91n_inst_qgint, n91n_inst_qfint, clk, NOTIFY_REG);
    U_FD_P_NO  
	N91N_inst_Inst8_inst1 (n91n_inst_qhint, n91n_inst_qgint, clk, NOTIFY_REG);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
