/******************************************************************************
* This Program is the Confidential and Proprietary product of Altera Corp.    *
* Any unauthorized use,  reproduction or transfer of this program is strictly *
* prohibited. Copyright (c)  1993  by Altera Corp. All Rights Reserved.       *
*******************************************************************************/
/*

LIBRARY        : alteralib; Rev 1.0; February 93
FUNCTION       : 1-OF-8 DATA-SELECTOR/MULTIPLEXER
TRUTHTABLE     : 
          ------------------------------
           C  B  A     GN       Y    WN
          ------------------------------
           X  X  X     H        L    H
           L  L  L     L        D0  ~D0
           L  L  H     L        D1  ~D1
           L  H  L     L        D2  ~D2
           L  H  H     L        D3  ~D3
           H  L  L     L        D4  ~D4
           H  L  H     L        D5  ~D5
           H  H  L     L        D6  ~D6
           H  H  H     L        D7  ~D7  
          ------------------------------

REFERENCE      : Altera MAX+Plus II online help, component description
DESIGNER       : 
DATE GENERATED : 
DATE MODIFIED  : April 1994

VERITOOL COMPATIBILITY : Verilog x.x, Veritime y.y

*/
`celldefine

`timescale  1ns /  100ps
module a_81mux (y, wn, d7, d6, d5, d4, d3, d2, d1, d0, gn, c, b, a);
	parameter size =1;
	parameter cds_action = "ignore";
	input
		d3,
		d2,
		d1,
		d0,
		gn,
		c,
		b,
		a,
		d7,
		d6,
		d5,
		d4;
	output
		y,
		wn;
    not  
	  (m151_inst_g, gn);
    and  
	  (m151_inst_yint, m151_inst_z, m151_inst_g);
    buf  
	  (y, m151_inst_yint);
    not
	  (wn, m151_inst_yint);
    U_MUX_4_2
	M151_inst_inst1_M5 (m151_inst_out_udp_d0_to_3_in, dd_net_8, dd_net_9, dd_net_10, dd_net_11, dd_net_16, dd_net_18);
    U_MUX_4_2
	M151_inst_inst2_M5 (m151_inst_out_udp_d4_to_7_in, dd_net_12, dd_net_13, dd_net_14, dd_net_15, dd_net_16, dd_net_18);
    U_MUX_2_1
	M151_inst_inst3_M1 (m151_inst_z, m151_inst_out_udp_d0_to_3_in, m151_inst_out_udp_d4_to_7_in, dd_net_20);
    buf  
	  (dd_net_8, d0);
    buf  
	  (dd_net_9, d1);
    buf  
	  (dd_net_10, d2);
    buf  
	  (dd_net_11, d3);
    buf  
	  (dd_net_12, d4);
    buf  
	  (dd_net_13, d5);
    buf  
	  (dd_net_14, d6);
    buf  
	  (dd_net_15, d7);
    buf  
	  (dd_net_16, a);
    buf  
	  (dd_net_18, b);
    buf  
	  (dd_net_20, c);

    specify

	// Synthesis parameters

`ifdef SYNTH
	specparam Area = 1;
`endif



    endspecify

endmodule
`endcelldefine
