/******************************************************************************
* This Program is the Confidential and Proprietary product of Cadence Design  *
* Systems. Any unauthorized use,  reproduction or transfer of this program is *
* strictly prohibited. Copyright (c)  1990, 1991, 1992, 1993, 1994 and 1995   *
* by Cadence Design Systems .                                                 *
* All Rights Reserved.                                                        *
*******************************************************************************/

/*

LIBRARY        : Altera synthesis library
FUNCTION       : 16 to 1 multiplexer with gate enable
                 
DESIGNER       : Udi Landen
DATE GENERATED : 8th Jan 1995 

VERITOOL COMPATIBILITY : Verilog2.0, Veritime1.4

*/
      
`timescale  1 ns / 100 ps 
`celldefine     
module a_mux161_gn (wn, y, a, b, c, d, d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, gn);
  output	wn, y;
  input		a, b, c, d, d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, gn;

  reg		y_int;

  buf #1 (y, y_int);
  not #1 (wn, y_int);
 
  always @(a or b or c or d or gn or d0 or d1 or d2 or d3 or d4 or d5 or d6 or d7 or d8 or d9 or d10 or d11 or d12 or d13 or d14 or d15)
    if ( !gn )
	case ( {d,c,b,a})
		4'b0000: assign y_int = d0;
		4'b0001: assign y_int = d1;
		4'b0010: assign y_int = d2;
		4'b0011: assign y_int = d3;
		4'b0100: assign y_int = d4;
		4'b0101: assign y_int = d5;
		4'b0110: assign y_int = d6;
		4'b0111: assign y_int = d7;
		4'b1000: assign y_int = d8;
		4'b1001: assign y_int = d9;
		4'b1010: assign y_int = d10;
		4'b1011: assign y_int = d11;
		4'b1100: assign y_int = d12;
		4'b1101: assign y_int = d13;
		4'b1110: assign y_int = d14;
		4'b1111: assign y_int = d15;
	endcase
    else
        assign y_int = 1'b0;

  specify

`ifdef SYNTH
	specparam area = 1;
`endif

  endspecify
 
endmodule
`endcelldefine


